import { defineComponent, openBlock, createElementBlock, withModifiers, createElementVNode, normalizeStyle } from "vue";
import { createAlphaSquare, createLinearGradient } from "./composible.js";
import "./Alpha.vue_vue_type_style_index_0_lang.js";
import _export_sfc from "../../_virtual/plugin-vue_export-helper.js";
const _sfc_main = defineComponent({
  props: {
    color: {
      type: String,
      default: "#000000"
    },
    rgba: {
      type: Object,
      default: null
    },
    width: {
      type: Number,
      default: 15
    },
    height: {
      type: Number,
      default: 152
    }
  },
  emits: ["selectAlpha"],
  data() {
    return {
      slideAlphaStyle: {},
      alphaSize: 5
    };
  },
  watch: {
    color() {
      this.renderColor();
    },
    rgba() {
      this.renderSlide();
    }
  },
  mounted() {
    this.renderColor();
    this.renderSlide();
  },
  methods: {
    renderColor() {
      const canvas = this.$refs.canvasAlpha;
      const { width } = this;
      const { height } = this;
      const size = this.alphaSize;
      const canvasSquare = createAlphaSquare(size);
      const ctx = canvas.getContext("2d");
      canvas.width = width;
      canvas.height = height;
      ctx.fillStyle = ctx.createPattern(canvasSquare, "repeat");
      ctx.fillRect(0, 0, width, height);
      createLinearGradient(
        "p",
        ctx,
        width,
        height,
        "rgba(255,255,255,0)",
        this.color
      );
    },
    renderSlide() {
      this.slideAlphaStyle = {
        top: `${this.rgba.a * this.height - 2}px`
      };
    },
    selectAlpha(e) {
      const { top: hueTop } = this.$el.getBoundingClientRect();
      const mousemove = (e2) => {
        let y = e2.clientY - hueTop;
        if (y < 0) {
          y = 0;
        }
        if (y > this.height) {
          y = this.height;
        }
        const a = parseFloat((y / this.height).toFixed(2));
        this.$emit("selectAlpha", a);
      };
      mousemove(e);
      const mouseup = () => {
        document.removeEventListener("mousemove", mousemove);
        document.removeEventListener("mouseup", mouseup);
      };
      document.addEventListener("mousemove", mousemove);
      document.addEventListener("mouseup", mouseup);
    }
  }
});
const _hoisted_1 = { ref: "canvasAlpha" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", {
    class: "color-alpha",
    onMousedown: _cache[0] || (_cache[0] = withModifiers((...args) => _ctx.selectAlpha && _ctx.selectAlpha(...args), ["prevent", "stop"]))
  }, [
    createElementVNode("canvas", _hoisted_1, null, 512),
    createElementVNode("div", {
      style: normalizeStyle(_ctx.slideAlphaStyle),
      class: "slide"
    }, null, 4)
  ], 32);
}
var Alpha = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { Alpha as default };
