import { defineComponent, ref, onUnmounted, openBlock, createElementBlock, createElementVNode, Fragment, renderList, normalizeStyle, createCommentVNode } from "vue";
import { createAlphaSquare } from "./composible.js";
import "./Colors.vue_vue_type_style_index_0_lang.js";
import _export_sfc from "../../_virtual/plugin-vue_export-helper.js";
const _sfc_main = defineComponent({
  name: "ColorPicker",
  props: {
    color: {
      type: String,
      default: "#000000"
    },
    colorsDefault: {
      type: Array,
      default: () => []
    },
    colorsHistoryKey: {
      type: String,
      default: ""
    }
  },
  emits: ["selectColor"],
  setup(props, { emit }) {
    const color = ref();
    const colorsHistory = ref([]);
    const imgAlphaBase64 = ref();
    if (props.colorsHistoryKey && localStorage) {
      colorsHistory.value = JSON.parse(localStorage.getItem(props.colorsHistoryKey)) || [];
    }
    imgAlphaBase64.value = createAlphaSquare(4).toDataURL();
    onUnmounted(() => {
      setColorsHistory(color.value);
    });
    function setColorsHistory(color2) {
      if (!color2) {
        return;
      }
      const colors = colorsHistory.value || [];
      const index = colors.indexOf(color2);
      if (index >= 0) {
        colors.splice(index, 1);
      }
      if (colors.length >= 8) {
        colors.length = 7;
      }
      colors.unshift(color2);
      colorsHistory.value = colors || [];
      if (localStorage && props.colorsHistoryKey)
        localStorage.setItem(props.colorsHistoryKey, JSON.stringify(colors));
    }
    function selectColor(color2) {
      emit("selectColor", color2);
    }
    return {
      setColorsHistory,
      colorsHistory,
      imgAlphaBase64,
      selectColor
    };
  }
});
const _hoisted_1 = { class: "colors" };
const _hoisted_2 = ["onClick"];
const _hoisted_3 = {
  key: 0,
  class: "colors history"
};
const _hoisted_4 = ["onClick"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("ul", _hoisted_1, [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.colorsDefault, (item) => {
        return openBlock(), createElementBlock("li", {
          key: item,
          class: "item",
          onClick: ($event) => _ctx.selectColor(item)
        }, [
          createElementVNode("div", {
            style: normalizeStyle({ background: `url(${_ctx.imgAlphaBase64})` }),
            class: "alpha"
          }, null, 4),
          createElementVNode("div", {
            style: normalizeStyle({ background: item }),
            class: "color"
          }, null, 4)
        ], 8, _hoisted_2);
      }), 128))
    ]),
    _ctx.colorsHistory.length ? (openBlock(), createElementBlock("ul", _hoisted_3, [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.colorsHistory, (item) => {
        return openBlock(), createElementBlock("li", {
          key: item,
          class: "item",
          onClick: ($event) => _ctx.selectColor(item)
        }, [
          createElementVNode("div", {
            style: normalizeStyle({ background: `url(${_ctx.imgAlphaBase64})` }),
            class: "alpha"
          }, null, 4),
          createElementVNode("div", {
            style: normalizeStyle({ background: item }),
            class: "color"
          }, null, 4)
        ], 8, _hoisted_4);
      }), 128))
    ])) : createCommentVNode("v-if", true)
  ]);
}
var Colors = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { Colors as default };
