import { MessageMethod } from './message';
import { NotificationMethod } from './notification';
import { ModalMethod } from './modal';
import { DrawerMethod } from './drawer';
declare module 'vue' {
    interface GlobalComponents {
        AAffix: typeof import('@moment-design/web-vue')['Affix'];
        AAlert: typeof import('@moment-design/web-vue')['Alert'];
        AAnchor: typeof import('@moment-design/web-vue')['Anchor'];
        AAnchorLink: typeof import('@moment-design/web-vue')['AnchorLink'];
        AAutoComplete: typeof import('@moment-design/web-vue')['AutoComplete'];
        AAvatar: typeof import('@moment-design/web-vue')['Avatar'];
        AAvatarGroup: typeof import('@moment-design/web-vue')['AvatarGroup'];
        ABackTop: typeof import('@moment-design/web-vue')['BackTop'];
        ABadge: typeof import('@moment-design/web-vue')['Badge'];
        ABreadcrumb: typeof import('@moment-design/web-vue')['Breadcrumb'];
        ABreadcrumbItem: typeof import('@moment-design/web-vue')['BreadcrumbItem'];
        AButton: typeof import('@moment-design/web-vue')['Button'];
        AButtonGroup: typeof import('@moment-design/web-vue')['ButtonGroup'];
        ACard: typeof import('@moment-design/web-vue')['Card'];
        ACardMeta: typeof import('@moment-design/web-vue')['CardMeta'];
        ACardGrid: typeof import('@moment-design/web-vue')['CardGrid'];
        ACarousel: typeof import('@moment-design/web-vue')['Carousel'];
        ACarouselItem: typeof import('@moment-design/web-vue')['CarouselItem'];
        ACascader: typeof import('@moment-design/web-vue')['Cascader'];
        ACascaderPanel: typeof import('@moment-design/web-vue')['CascaderPanel'];
        ACheckbox: typeof import('@moment-design/web-vue')['Checkbox'];
        ACheckboxGroup: typeof import('@moment-design/web-vue')['CheckboxGroup'];
        ACollapse: typeof import('@moment-design/web-vue')['Collapse'];
        ACollapseItem: typeof import('@moment-design/web-vue')['CollapseItem'];
        AComment: typeof import('@moment-design/web-vue')['Comment'];
        AConfigProvider: typeof import('@moment-design/web-vue')['ConfigProvider'];
        ADatePicker: typeof import('@moment-design/web-vue')['DatePicker'];
        AWeekPicker: typeof import('@moment-design/web-vue')['WeekPicker'];
        AMonthPicker: typeof import('@moment-design/web-vue')['MonthPicker'];
        AYearPicker: typeof import('@moment-design/web-vue')['YearPicker'];
        AQuarterPicker: typeof import('@moment-design/web-vue')['QuarterPicker'];
        ARangePicker: typeof import('@moment-design/web-vue')['RangePicker'];
        ADescriptions: typeof import('@moment-design/web-vue')['Descriptions'];
        ADescriptionsItem: typeof import('@moment-design/web-vue')['DescriptionsItem'];
        ADivider: typeof import('@moment-design/web-vue')['Divider'];
        ADrawer: typeof import('@moment-design/web-vue')['Drawer'];
        ADropdown: typeof import('@moment-design/web-vue')['Dropdown'];
        ADoption: typeof import('@moment-design/web-vue')['Doption'];
        ADgroup: typeof import('@moment-design/web-vue')['Dgroup'];
        ADsubmenu: typeof import('@moment-design/web-vue')['Dsubmenu'];
        AEmpty: typeof import('@moment-design/web-vue')['Empty'];
        AForm: typeof import('@moment-design/web-vue')['Form'];
        AFormItem: typeof import('@moment-design/web-vue')['FormItem'];
        AGrid: typeof import('@moment-design/web-vue')['Grid'];
        AGridItem: typeof import('@moment-design/web-vue')['GridItem'];
        ACol: typeof import('@moment-design/web-vue')['Col'];
        ARow: typeof import('@moment-design/web-vue')['Row'];
        AImage: typeof import('@moment-design/web-vue')['Image'];
        AImagePreview: typeof import('@moment-design/web-vue')['ImagePreview'];
        AImagePreviewGroup: typeof import('@moment-design/web-vue')['ImagePreviewGroup'];
        AInput: typeof import('@moment-design/web-vue')['Input'];
        AInputGroup: typeof import('@moment-design/web-vue')['InputGroup'];
        AInputSearch: typeof import('@moment-design/web-vue')['InputSearch'];
        AInputPassword: typeof import('@moment-design/web-vue')['InputPassword'];
        AInputNumber: typeof import('@moment-design/web-vue')['InputNumber'];
        AInputTag: typeof import('@moment-design/web-vue')['InputTag'];
        ALayout: typeof import('@moment-design/web-vue')['Layout'];
        ALayoutHeader: typeof import('@moment-design/web-vue')['LayoutHeader'];
        ALayoutContent: typeof import('@moment-design/web-vue')['LayoutContent'];
        ALayoutFooter: typeof import('@moment-design/web-vue')['LayoutFooter'];
        ALayoutSider: typeof import('@moment-design/web-vue')['LayoutSider'];
        ALink: typeof import('@moment-design/web-vue')['Link'];
        AList: typeof import('@moment-design/web-vue')['List'];
        AListItem: typeof import('@moment-design/web-vue')['ListItem'];
        AListItemMeta: typeof import('@moment-design/web-vue')['ListItemMeta'];
        AMention: typeof import('@moment-design/web-vue')['Mention'];
        AMenu: typeof import('@moment-design/web-vue')['Menu'];
        AMenuItem: typeof import('@moment-design/web-vue')['MenuItem'];
        AMenuItemGroup: typeof import('@moment-design/web-vue')['MenuItemGroup'];
        ASubMenu: typeof import('@moment-design/web-vue')['SubMenu'];
        AModal: typeof import('@moment-design/web-vue')['Modal'];
        APageHeader: typeof import('@moment-design/web-vue')['PageHeader'];
        APagination: typeof import('@moment-design/web-vue')['Pagination'];
        APopconfirm: typeof import('@moment-design/web-vue')['Popconfirm'];
        APopover: typeof import('@moment-design/web-vue')['Popover'];
        AProgress: typeof import('@moment-design/web-vue')['Progress'];
        ARadio: typeof import('@moment-design/web-vue')['Radio'];
        ARadioGroup: typeof import('@moment-design/web-vue')['RadioGroup'];
        ARate: typeof import('@moment-design/web-vue')['Rate'];
        AResizeBox: typeof import('@moment-design/web-vue')['ResizeBox'];
        AResult: typeof import('@moment-design/web-vue')['Result'];
        ASelect: typeof import('@moment-design/web-vue')['Select'];
        AOption: typeof import('@moment-design/web-vue')['Option'];
        AOptgroup: typeof import('@moment-design/web-vue')['Optgroup'];
        ASkeleton: typeof import('@moment-design/web-vue')['Skeleton'];
        ASkeletonLine: typeof import('@moment-design/web-vue')['SkeletonLine'];
        ASkeletonShape: typeof import('@moment-design/web-vue')['SkeletonShape'];
        ASlider: typeof import('@moment-design/web-vue')['Slider'];
        ASpace: typeof import('@moment-design/web-vue')['Space'];
        ASpin: typeof import('@moment-design/web-vue')['Spin'];
        ASplit: typeof import('@moment-design/web-vue')['Split'];
        AStatistic: typeof import('@moment-design/web-vue')['Statistic'];
        ACountdown: typeof import('@moment-design/web-vue')['Countdown'];
        ASteps: typeof import('@moment-design/web-vue')['Steps'];
        AStep: typeof import('@moment-design/web-vue')['Step'];
        ASwitch: typeof import('@moment-design/web-vue')['Switch'];
        ATable: typeof import('@moment-design/web-vue')['Table'];
        AThead: typeof import('@moment-design/web-vue')['Thead'];
        ATd: typeof import('@moment-design/web-vue')['Td'];
        ATh: typeof import('@moment-design/web-vue')['Th'];
        ATr: typeof import('@moment-design/web-vue')['Tr'];
        ATbody: typeof import('@moment-design/web-vue')['Tbody'];
        ATableColumn: typeof import('@moment-design/web-vue')['TableColumn'];
        ATabs: typeof import('@moment-design/web-vue')['Tabs'];
        ATabPane: typeof import('@moment-design/web-vue')['TabPane'];
        ATag: typeof import('@moment-design/web-vue')['Tag'];
        ATextarea: typeof import('@moment-design/web-vue')['Textarea'];
        ATimePicker: typeof import('@moment-design/web-vue')['TimePicker'];
        ATimeline: typeof import('@moment-design/web-vue')['Timeline'];
        ATimelineItem: typeof import('@moment-design/web-vue')['TimelineItem'];
        ATooltip: typeof import('@moment-design/web-vue')['Tooltip'];
        ATransfer: typeof import('@moment-design/web-vue')['Transfer'];
        ATree: typeof import('@moment-design/web-vue')['Tree'];
        ATreeSelect: typeof import('@moment-design/web-vue')['TreeSelect'];
        ATrigger: typeof import('@moment-design/web-vue')['Trigger'];
        ATypography: typeof import('@moment-design/web-vue')['Typography'];
        ATypographyParagraph: typeof import('@moment-design/web-vue')['TypographyParagraph'];
        ATypographyTitle: typeof import('@moment-design/web-vue')['TypographyTitle'];
        ATypographyText: typeof import('@moment-design/web-vue')['TypographyText'];
        AUpload: typeof import('@moment-design/web-vue')['Upload'];
        ACalendar: typeof import('@moment-design/web-vue')['Calendar'];
        AQrcode: typeof import('@moment-design/web-vue')['qrcode'];
    }
    interface ComponentCustomProperties {
        $message: MessageMethod;
        $notification: NotificationMethod;
        $modal: ModalMethod;
        $drawer: DrawerMethod;
    }
}
export {};
