import { Dayjs } from 'dayjs';
import { PropType } from 'vue';
import { TimePickerProps } from '../time-picker/interface';
import { DisabledTimeProps, ShortcutType, CalendarValue, WeekStart, Mode } from './interface';
import pick from '../_utils/pick';
import { getDateValue } from '../_utils/date';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    mode: {
        type: PropType<"month" | "year" | "date" | "week" | "quarter">;
        default: string;
    };
    modelValue: {
        type: PropType<(string | number | Date)[]>;
    };
    defaultValue: {
        type: PropType<(string | number | Date)[]>;
    };
    pickerValue: {
        type: PropType<(string | number | Date)[]>;
    };
    defaultPickerValue: {
        type: PropType<(string | number | Date)[]>;
    };
    disabled: {
        type: PropType<boolean | boolean[]>;
        default: boolean;
    };
    dayStartOfWeek: {
        type: PropType<WeekStart>;
        default: number;
    };
    format: {
        type: StringConstructor;
    };
    valueFormat: {
        type: PropType<string>;
    };
    showTime: {
        type: BooleanConstructor;
    };
    timePickerProps: {
        type: PropType<Partial<TimePickerProps>>;
    };
    placeholder: {
        type: PropType<string[]>;
    };
    disabledDate: {
        type: PropType<(current: Date, type: 'start' | 'end') => boolean>;
    };
    disabledTime: {
        type: PropType<(current: Date, type: 'start' | 'end') => DisabledTimeProps>;
    };
    separator: {
        type: StringConstructor;
    };
    exchangeTime: {
        type: BooleanConstructor;
        default: boolean;
    };
    popupContainer: {
        type: PropType<string | HTMLElement | null | undefined>;
    };
    locale: {
        type: PropType<Record<string, any>>;
    };
    hideTrigger: {
        type: BooleanConstructor;
    };
    allowClear: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
    };
    error: {
        type: BooleanConstructor;
    };
    size: {
        type: PropType<"mini" | "medium" | "large" | "small">;
    };
    shortcuts: {
        type: PropType<ShortcutType[]>;
        default: () => never[];
    };
    shortcutsPosition: {
        type: PropType<"bottom" | "left" | "right">;
        default: string;
    };
    position: {
        type: PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br">;
        default: string;
    };
    popupVisible: {
        type: BooleanConstructor;
        default: undefined;
    };
    defaultPopupVisible: {
        type: BooleanConstructor;
    };
    triggerProps: {
        type: PropType<Record<string, unknown>>;
    };
    unmountOnClose: {
        type: BooleanConstructor;
    };
    previewShortcut: {
        type: BooleanConstructor;
        default: boolean;
    };
    showConfirmBtn: {
        type: BooleanConstructor;
    };
}>, {
    prefixCls: string;
    refInput: import("vue").Ref<any, any>;
    computedFormat: import("vue").ComputedRef<string>;
    computedPlaceholder: import("vue").ComputedRef<string[]>;
    panelVisible: import("vue").ComputedRef<boolean>;
    panelValue: import("vue").ComputedRef<(Dayjs | undefined)[]>;
    inputValue: import("vue").Ref<(string | undefined)[] | undefined, (string | undefined)[] | undefined>;
    focusedIndex: import("vue").Ref<number, number>;
    triggerDisabled: import("vue").ComputedRef<boolean>;
    mergedSize: import("vue").ComputedRef<"mini" | "medium" | "large" | "small" | undefined>;
    mergedError: import("vue").ComputedRef<boolean>;
    onPanelVisibleChange: (visible: boolean) => void;
    onInputClear: (e: Event) => void;
    onInputChange: (e: any) => void;
    onInputPressEnter: () => void;
    rangePanelProps: import("vue").ComputedRef<{
        prefixCls: string;
        format: string;
        value: (Dayjs | undefined)[];
        showConfirmBtn: boolean;
        confirmBtnDisabled: boolean | undefined;
        timePickerValue: Dayjs[];
        timePickerProps: {
            visible: boolean;
            popupVisible?: boolean | undefined;
            defaultPopupVisible?: boolean | undefined;
            position?: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | undefined;
            disabled?: boolean | undefined;
            unmountOnClose?: boolean | undefined;
            size?: "mini" | "medium" | "large" | "small" | undefined;
            type?: "time" | "time-range" | undefined;
            modelValue?: import("../time-picker/interface").TimeValue | import("../time-picker/interface").TimeValue[] | undefined;
            placeholder?: string | string[] | undefined;
            error?: boolean | undefined;
            readonly?: boolean | undefined;
            allowClear?: boolean | undefined;
            format: string;
            step?: {
                hour?: number | undefined;
                minute?: number | undefined;
                second?: number | undefined;
            } | undefined;
            triggerProps?: Record<string, unknown> | undefined;
            disableConfirm?: boolean | undefined;
            use12Hours?: boolean | undefined;
            disabledHours?: (() => number[]) | undefined;
            disabledMinutes?: ((selectedHour?: number | undefined) => number[]) | undefined;
            disabledSeconds?: ((selectedHour?: number | undefined, selectedMinute?: number | undefined) => number[]) | undefined;
            hideDisabledOptions?: boolean | undefined;
        };
        extra: import("vue").Slot<any> | undefined;
        dateRender: import("vue").Slot<any> | undefined;
        startHeaderProps: {
            headerValue: Dayjs;
            headerOperations: Pick<any, string>;
            headerIcons: {
                prev: import("vue").Slot<any> | undefined;
                prevDouble: import("vue").Slot<any> | undefined;
                next: import("vue").Slot<any> | undefined;
                nextDouble: import("vue").Slot<any> | undefined;
            };
        };
        endHeaderProps: {
            headerValue: Dayjs;
            headerOperations: Pick<any, string>;
            headerIcons: {
                prev: import("vue").Slot<any> | undefined;
                prevDouble: import("vue").Slot<any> | undefined;
                next: import("vue").Slot<any> | undefined;
                nextDouble: import("vue").Slot<any> | undefined;
            };
        };
        footerValue: {
            clone: () => Dayjs;
            isValid: () => boolean;
            year: {
                (): number;
                (value: number): Dayjs;
            };
            month: {
                (): number;
                (value: number): Dayjs;
            };
            date: {
                (): number;
                (value: number): Dayjs;
            };
            day: {
                (): 0 | 1 | 2 | 4 | 3 | 5 | 6;
                (value: number): Dayjs;
            };
            hour: {
                (): number;
                (value: number): Dayjs;
            };
            minute: {
                (): number;
                (value: number): Dayjs;
            };
            second: {
                (): number;
                (value: number): Dayjs;
            };
            millisecond: {
                (): number;
                (value: number): Dayjs;
            };
            set: (unit: import("dayjs").UnitType, value: number) => Dayjs;
            get: (unit: import("dayjs").UnitType) => number;
            add: {
                (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                (value: number, unit: import("dayjs").QUnitType): Dayjs;
            };
            subtract: {
                (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                (value: number, unit: import("dayjs").QUnitType): Dayjs;
            };
            startOf: {
                (unit: import("dayjs").OpUnitType): Dayjs;
                (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
            };
            endOf: {
                (unit: import("dayjs").OpUnitType): Dayjs;
                (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
            };
            format: (template?: string | undefined) => string;
            diff: (date?: string | number | Date | Dayjs | null | undefined, unit?: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q" | undefined, float?: boolean | undefined) => number;
            valueOf: () => number;
            unix: () => number;
            daysInMonth: () => number;
            toDate: () => Date;
            toJSON: () => string;
            toISOString: () => string;
            toString: () => string;
            utcOffset: () => number;
            isBefore: {
                (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
            };
            isSame: {
                (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
            };
            isAfter: {
                (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
            };
            locale: {
                (): string;
                (preset: string | ILocale, object?: Partial<ILocale> | undefined): Dayjs;
            };
            isBetween: (a: string | number | Date | Dayjs | null | undefined, b: string | number | Date | Dayjs | null | undefined, c?: import("dayjs").OpUnitType | null | undefined, d?: "[]" | "()" | "[)" | "(]" | undefined) => boolean;
            week: {
                (): number;
                (value: number): Dayjs;
            };
            weekYear: () => number;
            quarter: {
                (): number;
                (quarter: number): Dayjs;
            };
        }[];
        disabled: boolean[];
        visible: boolean;
        onCellClick: (date: Dayjs) => void;
        onCellMouseEnter: (date: Dayjs) => void;
        onShortcutClick: (value: Array<Dayjs | undefined>, shortcut: ShortcutType) => void;
        onShortcutMouseEnter: ((value: Array<Dayjs | undefined>) => void) | undefined;
        onShortcutMouseLeave: (() => void) | undefined;
        onConfirm: () => void;
        onTimePickerSelect: (time: Dayjs, type: 'start' | 'end') => void;
        startHeaderMode: "month" | "year" | undefined;
        endHeaderMode: "month" | "year" | undefined;
        onStartHeaderLabelClick: (type: 'year' | 'month') => void;
        onEndHeaderLabelClick: (type: 'year' | 'month') => void;
        onStartHeaderSelect: (date: Dayjs) => void;
        onEndHeaderSelect: (date: Dayjs) => void;
        mode: "month" | "year" | "date" | "week" | "quarter";
        dayStartOfWeek: WeekStart;
        showTime: boolean;
        disabledDate: ((current: Date, type: 'start' | 'end') => boolean) | undefined;
        disabledTime: ((current: Date, type: 'start' | 'end') => DisabledTimeProps) | undefined;
        shortcuts: ShortcutType[];
        shortcutsPosition: "bottom" | "left" | "right";
        hideTrigger: boolean;
    }>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (value: (CalendarValue | undefined)[] | undefined, date: (Date | undefined)[] | undefined, dateString: (string | undefined)[] | undefined) => true;
    'update:modelValue': (value: (CalendarValue | undefined)[] | undefined) => true;
    select: (value: (CalendarValue | undefined)[], date: (Date | undefined)[], dateString: (string | undefined)[]) => true;
    'popup-visible-change': (visible: boolean) => true;
    'update:popupVisible': (visible: boolean) => true;
    ok: (value: CalendarValue[], date: Date[], dateString: string[]) => true;
    clear: () => true;
    'select-shortcut': (shortcut: ShortcutType) => true;
    'picker-value-change': (value: CalendarValue[], date: Date[], dateString: string[]) => true;
    'update:pickerValue': (value: CalendarValue[]) => true;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    mode: {
        type: PropType<"month" | "year" | "date" | "week" | "quarter">;
        default: string;
    };
    modelValue: {
        type: PropType<(string | number | Date)[]>;
    };
    defaultValue: {
        type: PropType<(string | number | Date)[]>;
    };
    pickerValue: {
        type: PropType<(string | number | Date)[]>;
    };
    defaultPickerValue: {
        type: PropType<(string | number | Date)[]>;
    };
    disabled: {
        type: PropType<boolean | boolean[]>;
        default: boolean;
    };
    dayStartOfWeek: {
        type: PropType<WeekStart>;
        default: number;
    };
    format: {
        type: StringConstructor;
    };
    valueFormat: {
        type: PropType<string>;
    };
    showTime: {
        type: BooleanConstructor;
    };
    timePickerProps: {
        type: PropType<Partial<TimePickerProps>>;
    };
    placeholder: {
        type: PropType<string[]>;
    };
    disabledDate: {
        type: PropType<(current: Date, type: 'start' | 'end') => boolean>;
    };
    disabledTime: {
        type: PropType<(current: Date, type: 'start' | 'end') => DisabledTimeProps>;
    };
    separator: {
        type: StringConstructor;
    };
    exchangeTime: {
        type: BooleanConstructor;
        default: boolean;
    };
    popupContainer: {
        type: PropType<string | HTMLElement | null | undefined>;
    };
    locale: {
        type: PropType<Record<string, any>>;
    };
    hideTrigger: {
        type: BooleanConstructor;
    };
    allowClear: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
    };
    error: {
        type: BooleanConstructor;
    };
    size: {
        type: PropType<"mini" | "medium" | "large" | "small">;
    };
    shortcuts: {
        type: PropType<ShortcutType[]>;
        default: () => never[];
    };
    shortcutsPosition: {
        type: PropType<"bottom" | "left" | "right">;
        default: string;
    };
    position: {
        type: PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br">;
        default: string;
    };
    popupVisible: {
        type: BooleanConstructor;
        default: undefined;
    };
    defaultPopupVisible: {
        type: BooleanConstructor;
    };
    triggerProps: {
        type: PropType<Record<string, unknown>>;
    };
    unmountOnClose: {
        type: BooleanConstructor;
    };
    previewShortcut: {
        type: BooleanConstructor;
        default: boolean;
    };
    showConfirmBtn: {
        type: BooleanConstructor;
    };
}>> & Readonly<{
    "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
    onClear?: (() => any) | undefined;
    "onUpdate:modelValue"?: ((value: (CalendarValue | undefined)[] | undefined) => any) | undefined;
    onChange?: ((value: (CalendarValue | undefined)[] | undefined, date: (Date | undefined)[] | undefined, dateString: (string | undefined)[] | undefined) => any) | undefined;
    onSelect?: ((value: (CalendarValue | undefined)[], date: (Date | undefined)[], dateString: (string | undefined)[]) => any) | undefined;
    "onPopup-visible-change"?: ((visible: boolean) => any) | undefined;
    onOk?: ((value: CalendarValue[], date: Date[], dateString: string[]) => any) | undefined;
    "onSelect-shortcut"?: ((shortcut: ShortcutType) => any) | undefined;
    "onPicker-value-change"?: ((value: CalendarValue[], date: Date[], dateString: string[]) => any) | undefined;
    "onUpdate:pickerValue"?: ((value: CalendarValue[]) => any) | undefined;
}>, {
    popupVisible: boolean;
    defaultPopupVisible: boolean;
    position: "top" | "tl" | "tr" | "bottom" | "bl" | "br";
    disabled: boolean | boolean[];
    unmountOnClose: boolean;
    mode: "month" | "year" | "date" | "week" | "quarter";
    error: boolean;
    readonly: boolean;
    allowClear: boolean;
    dayStartOfWeek: WeekStart;
    showTime: boolean;
    shortcuts: ShortcutType[];
    showConfirmBtn: boolean;
    shortcutsPosition: "bottom" | "left" | "right";
    hideTrigger: boolean;
    exchangeTime: boolean;
    previewShortcut: boolean;
}, {}, {
    RangePickerPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        mode: {
            type: PropType<Mode>;
            default: string;
        };
        value: {
            type: PropType<(Dayjs | undefined)[]>;
            default: () => never[];
        };
        footerValue: {
            type: PropType<(Dayjs | undefined)[]>;
        };
        timePickerValue: {
            type: PropType<Dayjs[]>;
        };
        showTime: {
            type: BooleanConstructor;
        };
        showConfirmBtn: {
            type: BooleanConstructor;
        };
        prefixCls: {
            type: StringConstructor;
            required: true;
        };
        shortcuts: {
            type: PropType<ShortcutType[]>;
            default: () => never[];
        };
        shortcutsPosition: {
            type: PropType<"bottom" | "left" | "right">;
            default: string;
        };
        format: {
            type: StringConstructor;
            required: true;
        };
        dayStartOfWeek: {
            type: PropType<WeekStart>;
            default: number;
        };
        disabledDate: {
            type: PropType<import("./interface").RangeDisabledDate>;
        };
        disabledTime: {
            type: PropType<import("./interface").RangeDisabledTime>;
        };
        timePickerProps: {
            type: PropType<Partial<TimePickerProps> | undefined>;
        };
        extra: {
            type: PropType<import("../_components/render-function").RenderFunc>;
        };
        dateRender: {
            type: PropType<import("../_components/render-function").RenderFunc>;
        };
        hideTrigger: {
            type: BooleanConstructor;
        };
        startHeaderProps: {
            type: PropType<import("./interface").StartHeaderProps>;
            default: () => {};
        };
        endHeaderProps: {
            type: PropType<Record<string, any>>;
            default: () => {};
        };
        confirmBtnDisabled: {
            type: BooleanConstructor;
        };
        disabled: {
            type: PropType<boolean[]>;
            default: () => boolean[];
        };
        visible: {
            type: BooleanConstructor;
        };
        startHeaderMode: {
            type: PropType<"month" | "year">;
        };
        endHeaderMode: {
            type: PropType<"month" | "year">;
        };
    }>, {
        pick: typeof pick;
        classNames: import("vue").ComputedRef<(string | {
            [x: string]: boolean | 0;
        })[]>;
        showShortcuts: import("vue").ComputedRef<number | false>;
        shortcutsProps: {
            prefixCls: string;
            shortcuts: ShortcutType[];
            onItemClick: (shortcut: ShortcutType) => void;
            onItemMouseEnter: (shortcut: ShortcutType) => void;
            onItemMouseLeave: (shortcut: ShortcutType) => void;
        };
        startPanelProps: import("vue").ComputedRef<{
            rangeValues: (Dayjs | undefined)[];
            disabledDate: ((current: Date) => boolean) | undefined;
            dateRender: ((props: any) => import("vue").VNodeTypes | undefined) | undefined;
            onSelect: (date: Dayjs) => void;
            onCellMouseEnter: (date: Dayjs) => void;
            onHeaderLabelClick: (type: "month" | "year") => void;
            headerValue: Dayjs;
            headerOperations: Pick<any, string>;
            headerIcons: {
                prev: import("vue").Slot<any> | undefined;
                prevDouble: import("vue").Slot<any> | undefined;
                next: import("vue").Slot<any> | undefined;
                nextDouble: import("vue").Slot<any> | undefined;
            };
        }>;
        endPanelProps: import("vue").ComputedRef<{
            rangeValues: (Dayjs | undefined)[];
            disabledDate: ((current: Date) => boolean) | undefined;
            dateRender: ((props: any) => import("vue").VNodeTypes | undefined) | undefined;
            onSelect: (date: Dayjs) => void;
            onCellMouseEnter: (date: Dayjs) => void;
            onHeaderLabelClick: (type: "month" | "year") => void;
        }>;
        getDisabledTimeFunc: (index: 0 | 1) => ((current: Date) => false | DisabledTimeProps) | undefined;
        onConfirmBtnClick: () => void;
        currentDateView: import("vue").Ref<string, string>;
        onStartTimePickerSelect: (time: Dayjs) => void;
        onEndTimePickerSelect: (time: Dayjs) => void;
        onStartHeaderPanelSelect: (date: Dayjs) => void;
        onEndHeaderPanelSelect: (date: Dayjs) => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cell-click" | "cell-mouse-enter" | "time-picker-select" | "shortcut-click" | "shortcut-mouse-enter" | "shortcut-mouse-leave" | "confirm" | "start-header-label-click" | "end-header-label-click" | "start-header-select" | "end-header-select")[], "cell-click" | "cell-mouse-enter" | "confirm" | "time-picker-select" | "shortcut-click" | "shortcut-mouse-enter" | "shortcut-mouse-leave" | "start-header-label-click" | "end-header-label-click" | "start-header-select" | "end-header-select", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        mode: {
            type: PropType<Mode>;
            default: string;
        };
        value: {
            type: PropType<(Dayjs | undefined)[]>;
            default: () => never[];
        };
        footerValue: {
            type: PropType<(Dayjs | undefined)[]>;
        };
        timePickerValue: {
            type: PropType<Dayjs[]>;
        };
        showTime: {
            type: BooleanConstructor;
        };
        showConfirmBtn: {
            type: BooleanConstructor;
        };
        prefixCls: {
            type: StringConstructor;
            required: true;
        };
        shortcuts: {
            type: PropType<ShortcutType[]>;
            default: () => never[];
        };
        shortcutsPosition: {
            type: PropType<"bottom" | "left" | "right">;
            default: string;
        };
        format: {
            type: StringConstructor;
            required: true;
        };
        dayStartOfWeek: {
            type: PropType<WeekStart>;
            default: number;
        };
        disabledDate: {
            type: PropType<import("./interface").RangeDisabledDate>;
        };
        disabledTime: {
            type: PropType<import("./interface").RangeDisabledTime>;
        };
        timePickerProps: {
            type: PropType<Partial<TimePickerProps> | undefined>;
        };
        extra: {
            type: PropType<import("../_components/render-function").RenderFunc>;
        };
        dateRender: {
            type: PropType<import("../_components/render-function").RenderFunc>;
        };
        hideTrigger: {
            type: BooleanConstructor;
        };
        startHeaderProps: {
            type: PropType<import("./interface").StartHeaderProps>;
            default: () => {};
        };
        endHeaderProps: {
            type: PropType<Record<string, any>>;
            default: () => {};
        };
        confirmBtnDisabled: {
            type: BooleanConstructor;
        };
        disabled: {
            type: PropType<boolean[]>;
            default: () => boolean[];
        };
        visible: {
            type: BooleanConstructor;
        };
        startHeaderMode: {
            type: PropType<"month" | "year">;
        };
        endHeaderMode: {
            type: PropType<"month" | "year">;
        };
    }>> & Readonly<{
        "onCell-click"?: ((...args: any[]) => any) | undefined;
        "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
        "onTime-picker-select"?: ((...args: any[]) => any) | undefined;
        "onShortcut-click"?: ((...args: any[]) => any) | undefined;
        "onShortcut-mouse-enter"?: ((...args: any[]) => any) | undefined;
        "onShortcut-mouse-leave"?: ((...args: any[]) => any) | undefined;
        "onStart-header-label-click"?: ((...args: any[]) => any) | undefined;
        "onEnd-header-label-click"?: ((...args: any[]) => any) | undefined;
        "onStart-header-select"?: ((...args: any[]) => any) | undefined;
        "onEnd-header-select"?: ((...args: any[]) => any) | undefined;
    }>, {
        disabled: boolean[];
        mode: Mode;
        visible: boolean;
        value: (Dayjs | undefined)[];
        dayStartOfWeek: WeekStart;
        showTime: boolean;
        shortcuts: ShortcutType[];
        showConfirmBtn: boolean;
        confirmBtnDisabled: boolean;
        shortcutsPosition: "bottom" | "left" | "right";
        hideTrigger: boolean;
        startHeaderProps: import("./interface").StartHeaderProps;
        endHeaderProps: Record<string, any>;
    }, {}, {
        PanelShortcuts: import("vue").DefineComponent<{
            prefixCls: string;
            shortcuts: ShortcutType[];
        }, {
            datePickerT: (key: string, ...args: any[]) => any;
            onItemClick: (item: ShortcutType) => void;
            onItemMouseEnter: (item: ShortcutType) => void;
            onItemMouseLeave: (item: ShortcutType) => void;
            onNowClick: () => void;
            isFunction: typeof import("../_utils/is").isFunction;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("item-click" | "item-mouse-enter" | "item-mouse-leave" | "now-click")[], "item-click" | "item-mouse-enter" | "item-mouse-leave" | "now-click", import("vue").PublicProps, Readonly<{
            prefixCls: string;
            shortcuts: ShortcutType[];
        }> & Readonly<{
            "onItem-click"?: ((...args: any[]) => any) | undefined;
            "onItem-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onItem-mouse-leave"?: ((...args: any[]) => any) | undefined;
            "onNow-click"?: ((...args: any[]) => any) | undefined;
        }>, {
            showNowBtn: boolean;
            shortcuts: ShortcutType[];
        }, {}, {
            Button: {
                new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
                    type: {
                        type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                    };
                    shape: {
                        type: PropType<"round" | "circle" | "square">;
                    };
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                    };
                    size: {
                        type: PropType<"mini" | "medium" | "large" | "small">;
                    };
                    long: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    loading: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                    htmlType: {
                        type: StringConstructor;
                        default: string;
                    };
                    href: StringConstructor;
                }>> & Readonly<{
                    onClick?: ((ev: MouseEvent) => any) | undefined;
                }>, {
                    prefixCls: string;
                    cls: import("vue").ComputedRef<(string | {
                        [x: string]: boolean;
                    })[]>;
                    innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                    mergedDisabled: import("vue").ComputedRef<boolean>;
                    handleClick: (ev: MouseEvent) => void;
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                    click: (ev: MouseEvent) => true;
                }, import("vue").PublicProps, {
                    disabled: boolean;
                    loading: boolean;
                    long: boolean;
                    htmlType: string;
                }, true, {}, {}, {
                    IconLoading: any;
                    Wave: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                        insertExtraNode: BooleanConstructor;
                        disabled: BooleanConstructor;
                    }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                        insertExtraNode: BooleanConstructor;
                        disabled: BooleanConstructor;
                    }>> & Readonly<{}>, {
                        disabled: boolean;
                        insertExtraNode: boolean;
                    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
                    P: {};
                    B: {};
                    D: {};
                    C: {};
                    M: {};
                    Defaults: {};
                }, Readonly<import("vue").ExtractPropTypes<{
                    type: {
                        type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                    };
                    shape: {
                        type: PropType<"round" | "circle" | "square">;
                    };
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                    };
                    size: {
                        type: PropType<"mini" | "medium" | "large" | "small">;
                    };
                    long: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    loading: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                    htmlType: {
                        type: StringConstructor;
                        default: string;
                    };
                    href: StringConstructor;
                }>> & Readonly<{
                    onClick?: ((ev: MouseEvent) => any) | undefined;
                }>, {
                    prefixCls: string;
                    cls: import("vue").ComputedRef<(string | {
                        [x: string]: boolean;
                    })[]>;
                    innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                    mergedDisabled: import("vue").ComputedRef<boolean>;
                    handleClick: (ev: MouseEvent) => void;
                }, {}, {}, {}, {
                    disabled: boolean;
                    loading: boolean;
                    long: boolean;
                    htmlType: string;
                }>;
                __isFragment?: undefined;
                __isTeleport?: undefined;
                __isSuspense?: undefined;
            } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                type: {
                    type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                };
                shape: {
                    type: PropType<"round" | "circle" | "square">;
                };
                status: {
                    type: PropType<"normal" | "success" | "warning" | "danger">;
                };
                size: {
                    type: PropType<"mini" | "medium" | "large" | "small">;
                };
                long: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                loading: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                htmlType: {
                    type: StringConstructor;
                    default: string;
                };
                href: StringConstructor;
            }>> & Readonly<{
                onClick?: ((ev: MouseEvent) => any) | undefined;
            }>, {
                prefixCls: string;
                cls: import("vue").ComputedRef<(string | {
                    [x: string]: boolean;
                })[]>;
                innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                mergedDisabled: import("vue").ComputedRef<boolean>;
                handleClick: (ev: MouseEvent) => void;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                click: (ev: MouseEvent) => true;
            }, string, {
                disabled: boolean;
                loading: boolean;
                long: boolean;
                htmlType: string;
            }, {}, string, {}, {
                IconLoading: any;
                Wave: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    insertExtraNode: BooleanConstructor;
                    disabled: BooleanConstructor;
                }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    insertExtraNode: BooleanConstructor;
                    disabled: BooleanConstructor;
                }>> & Readonly<{}>, {
                    disabled: boolean;
                    insertExtraNode: boolean;
                }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
                Group: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    type: {
                        type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary">;
                    };
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                    };
                    shape: {
                        type: PropType<"round" | "circle" | "square">;
                    };
                    size: {
                        type: PropType<"mini" | "medium" | "large" | "small">;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                }>, {
                    prefixCls: string;
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    type: {
                        type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary">;
                    };
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                    };
                    shape: {
                        type: PropType<"round" | "circle" | "square">;
                    };
                    size: {
                        type: PropType<"mini" | "medium" | "large" | "small">;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                }>> & Readonly<{}>, {
                    disabled: boolean;
                }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                install: (app: import("vue").App<any>, options?: import("../_utils/types").ArcoOptions | undefined) => void;
            };
            RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                renderFunc: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                    required: true;
                };
            }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                renderFunc: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                    required: true;
                };
            }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        PanelFooter: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            prefixCls: {
                type: StringConstructor;
                required: true;
            };
            showTodayBtn: {
                type: BooleanConstructor;
            };
            showConfirmBtn: {
                type: BooleanConstructor;
            };
            confirmBtnDisabled: {
                type: BooleanConstructor;
            };
        }>, {
            datePickerT: (key: string, ...args: any[]) => any;
            onTodayClick: () => void;
            onConfirmBtnClick: () => void;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("today-btn-click" | "confirm-btn-click")[], "today-btn-click" | "confirm-btn-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            prefixCls: {
                type: StringConstructor;
                required: true;
            };
            showTodayBtn: {
                type: BooleanConstructor;
            };
            showConfirmBtn: {
                type: BooleanConstructor;
            };
            confirmBtnDisabled: {
                type: BooleanConstructor;
            };
        }>> & Readonly<{
            "onToday-btn-click"?: ((...args: any[]) => any) | undefined;
            "onConfirm-btn-click"?: ((...args: any[]) => any) | undefined;
        }>, {
            showTodayBtn: boolean;
            showConfirmBtn: boolean;
            confirmBtnDisabled: boolean;
        }, {}, {
            Link: {
                new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
                    href: StringConstructor;
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                        default: string;
                    };
                    hoverable: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    icon: BooleanConstructor;
                    loading: BooleanConstructor;
                    disabled: BooleanConstructor;
                }>> & Readonly<{
                    onClick?: ((ev: MouseEvent) => any) | undefined;
                }>, {
                    cls: import("vue").ComputedRef<(string | {
                        [x: string]: boolean;
                    })[]>;
                    prefixCls: string;
                    showIcon: import("vue").ComputedRef<boolean>;
                    handleClick: (ev: MouseEvent) => void;
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                    click: (ev: MouseEvent) => true;
                }, import("vue").PublicProps, {
                    disabled: boolean;
                    icon: boolean;
                    loading: boolean;
                    status: "normal" | "success" | "warning" | "danger";
                    hoverable: boolean;
                }, true, {}, {}, {
                    IconLink: any;
                    IconLoading: any;
                } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
                    P: {};
                    B: {};
                    D: {};
                    C: {};
                    M: {};
                    Defaults: {};
                }, Readonly<import("vue").ExtractPropTypes<{
                    href: StringConstructor;
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                        default: string;
                    };
                    hoverable: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    icon: BooleanConstructor;
                    loading: BooleanConstructor;
                    disabled: BooleanConstructor;
                }>> & Readonly<{
                    onClick?: ((ev: MouseEvent) => any) | undefined;
                }>, {
                    cls: import("vue").ComputedRef<(string | {
                        [x: string]: boolean;
                    })[]>;
                    prefixCls: string;
                    showIcon: import("vue").ComputedRef<boolean>;
                    handleClick: (ev: MouseEvent) => void;
                }, {}, {}, {}, {
                    disabled: boolean;
                    icon: boolean;
                    loading: boolean;
                    status: "normal" | "success" | "warning" | "danger";
                    hoverable: boolean;
                }>;
                __isFragment?: undefined;
                __isTeleport?: undefined;
                __isSuspense?: undefined;
            } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                href: StringConstructor;
                status: {
                    type: PropType<"normal" | "success" | "warning" | "danger">;
                    default: string;
                };
                hoverable: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                icon: BooleanConstructor;
                loading: BooleanConstructor;
                disabled: BooleanConstructor;
            }>> & Readonly<{
                onClick?: ((ev: MouseEvent) => any) | undefined;
            }>, {
                cls: import("vue").ComputedRef<(string | {
                    [x: string]: boolean;
                })[]>;
                prefixCls: string;
                showIcon: import("vue").ComputedRef<boolean>;
                handleClick: (ev: MouseEvent) => void;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                click: (ev: MouseEvent) => true;
            }, string, {
                disabled: boolean;
                icon: boolean;
                loading: boolean;
                status: "normal" | "success" | "warning" | "danger";
                hoverable: boolean;
            }, {}, string, {}, {
                IconLink: any;
                IconLoading: any;
            } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
                install: (app: import("vue").App<any>, options?: import("../_utils/types").ArcoOptions | undefined) => void;
            };
            Button: {
                new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
                    type: {
                        type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                    };
                    shape: {
                        type: PropType<"round" | "circle" | "square">;
                    };
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                    };
                    size: {
                        type: PropType<"mini" | "medium" | "large" | "small">;
                    };
                    long: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    loading: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                    htmlType: {
                        type: StringConstructor;
                        default: string;
                    };
                    href: StringConstructor;
                }>> & Readonly<{
                    onClick?: ((ev: MouseEvent) => any) | undefined;
                }>, {
                    prefixCls: string;
                    cls: import("vue").ComputedRef<(string | {
                        [x: string]: boolean;
                    })[]>;
                    innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                    mergedDisabled: import("vue").ComputedRef<boolean>;
                    handleClick: (ev: MouseEvent) => void;
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                    click: (ev: MouseEvent) => true;
                }, import("vue").PublicProps, {
                    disabled: boolean;
                    loading: boolean;
                    long: boolean;
                    htmlType: string;
                }, true, {}, {}, {
                    IconLoading: any;
                    Wave: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                        insertExtraNode: BooleanConstructor;
                        disabled: BooleanConstructor;
                    }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                        insertExtraNode: BooleanConstructor;
                        disabled: BooleanConstructor;
                    }>> & Readonly<{}>, {
                        disabled: boolean;
                        insertExtraNode: boolean;
                    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
                    P: {};
                    B: {};
                    D: {};
                    C: {};
                    M: {};
                    Defaults: {};
                }, Readonly<import("vue").ExtractPropTypes<{
                    type: {
                        type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                    };
                    shape: {
                        type: PropType<"round" | "circle" | "square">;
                    };
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                    };
                    size: {
                        type: PropType<"mini" | "medium" | "large" | "small">;
                    };
                    long: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    loading: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                    htmlType: {
                        type: StringConstructor;
                        default: string;
                    };
                    href: StringConstructor;
                }>> & Readonly<{
                    onClick?: ((ev: MouseEvent) => any) | undefined;
                }>, {
                    prefixCls: string;
                    cls: import("vue").ComputedRef<(string | {
                        [x: string]: boolean;
                    })[]>;
                    innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                    mergedDisabled: import("vue").ComputedRef<boolean>;
                    handleClick: (ev: MouseEvent) => void;
                }, {}, {}, {}, {
                    disabled: boolean;
                    loading: boolean;
                    long: boolean;
                    htmlType: string;
                }>;
                __isFragment?: undefined;
                __isTeleport?: undefined;
                __isSuspense?: undefined;
            } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                type: {
                    type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                };
                shape: {
                    type: PropType<"round" | "circle" | "square">;
                };
                status: {
                    type: PropType<"normal" | "success" | "warning" | "danger">;
                };
                size: {
                    type: PropType<"mini" | "medium" | "large" | "small">;
                };
                long: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                loading: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                htmlType: {
                    type: StringConstructor;
                    default: string;
                };
                href: StringConstructor;
            }>> & Readonly<{
                onClick?: ((ev: MouseEvent) => any) | undefined;
            }>, {
                prefixCls: string;
                cls: import("vue").ComputedRef<(string | {
                    [x: string]: boolean;
                })[]>;
                innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                mergedDisabled: import("vue").ComputedRef<boolean>;
                handleClick: (ev: MouseEvent) => void;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                click: (ev: MouseEvent) => true;
            }, string, {
                disabled: boolean;
                loading: boolean;
                long: boolean;
                htmlType: string;
            }, {}, string, {}, {
                IconLoading: any;
                Wave: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    insertExtraNode: BooleanConstructor;
                    disabled: BooleanConstructor;
                }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    insertExtraNode: BooleanConstructor;
                    disabled: BooleanConstructor;
                }>> & Readonly<{}>, {
                    disabled: boolean;
                    insertExtraNode: boolean;
                }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
                Group: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    type: {
                        type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary">;
                    };
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                    };
                    shape: {
                        type: PropType<"round" | "circle" | "square">;
                    };
                    size: {
                        type: PropType<"mini" | "medium" | "large" | "small">;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                }>, {
                    prefixCls: string;
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    type: {
                        type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary">;
                    };
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                    };
                    shape: {
                        type: PropType<"round" | "circle" | "square">;
                    };
                    size: {
                        type: PropType<"mini" | "medium" | "large" | "small">;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                }>> & Readonly<{}>, {
                    disabled: boolean;
                }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                install: (app: import("vue").App<any>, options?: import("../_utils/types").ArcoOptions | undefined) => void;
            };
        }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            renderFunc: {
                type: PropType<import("../_components/render-function").RenderFunc>;
                required: true;
            };
        }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            renderFunc: {
                type: PropType<import("../_components/render-function").RenderFunc>;
                required: true;
            };
        }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        DatePanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            isRange: {
                type: BooleanConstructor;
            };
            value: {
                type: PropType<Dayjs>;
            };
            rangeValues: {
                type: PropType<(Dayjs | undefined)[]>;
            };
            headerValue: {
                type: PropType<Dayjs>;
                required: true;
            };
            footerValue: {
                type: PropType<Dayjs>;
            };
            timePickerValue: {
                type: PropType<Dayjs>;
            };
            headerOperations: {
                type: PropType<import("./interface").HeaderOperations>;
                default: () => {};
            };
            headerIcons: {
                type: PropType<import("./interface").HeaderIcons>;
                default: () => {};
            };
            dayStartOfWeek: {
                type: PropType<WeekStart>;
                default: number;
            };
            disabledDate: {
                type: PropType<import("./interface").DisabledDate>;
            };
            disabledTime: {
                type: PropType<import("./interface").DisabledTime>;
            };
            isSameTime: {
                type: PropType<import("./interface").IsSameTime>;
            };
            mode: {
                type: PropType<Mode>;
                default: string;
            };
            showTime: {
                type: BooleanConstructor;
            };
            timePickerProps: {
                type: PropType<Partial<TimePickerProps>>;
            };
            currentView: {
                type: PropType<"time" | "date">;
            };
            dateRender: {
                type: PropType<import("../_components/render-function").RenderFunc>;
            };
            disabled: {
                type: BooleanConstructor;
            };
            onHeaderLabelClick: {
                type: PropType<import("./panels/header").HeaderLabelClickFunc>;
            };
        }>, {
            prefixCls: import("vue").ComputedRef<string>;
            classNames: import("vue").ComputedRef<(string | {
                [x: string]: boolean;
            })[]>;
            pickerPrefixCls: string;
            headerTitle: import("vue").ComputedRef<string>;
            rows: import("vue").ComputedRef<import("./interface").Cell[][]>;
            weekList: import("vue").ComputedRef<number[]>;
            mergedIsSameTime: import("vue").ComputedRef<import("./interface").IsSameTime>;
            disabledTimeProps: import("vue").ComputedRef<DisabledTimeProps>;
            onCellClick: (cellData: import("./interface").Cell) => void;
            onCellMouseEnter: (cellData: import("./interface").Cell) => void;
            onTimePanelSelect: (time: Dayjs) => void;
            showViewTabs: import("vue").ComputedRef<boolean>;
            showDateView: import("vue").ComputedRef<boolean>;
            showTimeView: import("vue").ComputedRef<boolean>;
            changeViewTo: (newView: "time" | "date") => void;
            datePickerT: (key: string, ...args: any[]) => any;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "cell-mouse-enter" | "time-picker-select" | "current-view-change" | "update:currentView")[], "select" | "cell-mouse-enter" | "time-picker-select" | "current-view-change" | "update:currentView", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            isRange: {
                type: BooleanConstructor;
            };
            value: {
                type: PropType<Dayjs>;
            };
            rangeValues: {
                type: PropType<(Dayjs | undefined)[]>;
            };
            headerValue: {
                type: PropType<Dayjs>;
                required: true;
            };
            footerValue: {
                type: PropType<Dayjs>;
            };
            timePickerValue: {
                type: PropType<Dayjs>;
            };
            headerOperations: {
                type: PropType<import("./interface").HeaderOperations>;
                default: () => {};
            };
            headerIcons: {
                type: PropType<import("./interface").HeaderIcons>;
                default: () => {};
            };
            dayStartOfWeek: {
                type: PropType<WeekStart>;
                default: number;
            };
            disabledDate: {
                type: PropType<import("./interface").DisabledDate>;
            };
            disabledTime: {
                type: PropType<import("./interface").DisabledTime>;
            };
            isSameTime: {
                type: PropType<import("./interface").IsSameTime>;
            };
            mode: {
                type: PropType<Mode>;
                default: string;
            };
            showTime: {
                type: BooleanConstructor;
            };
            timePickerProps: {
                type: PropType<Partial<TimePickerProps>>;
            };
            currentView: {
                type: PropType<"time" | "date">;
            };
            dateRender: {
                type: PropType<import("../_components/render-function").RenderFunc>;
            };
            disabled: {
                type: BooleanConstructor;
            };
            onHeaderLabelClick: {
                type: PropType<import("./panels/header").HeaderLabelClickFunc>;
            };
        }>> & Readonly<{
            onSelect?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onTime-picker-select"?: ((...args: any[]) => any) | undefined;
            "onCurrent-view-change"?: ((...args: any[]) => any) | undefined;
            "onUpdate:currentView"?: ((...args: any[]) => any) | undefined;
        }>, {
            disabled: boolean;
            mode: Mode;
            dayStartOfWeek: WeekStart;
            showTime: boolean;
            isRange: boolean;
            headerOperations: import("./interface").HeaderOperations;
            headerIcons: import("./interface").HeaderIcons;
        }, {}, {
            PanelHeader: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                title: {
                    type: StringConstructor;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                icons: {
                    type: PropType<import("./interface").HeaderIcons>;
                };
                onPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>, {
                showPrev: import("vue").ComputedRef<boolean>;
                showSuperPrev: import("vue").ComputedRef<boolean>;
                showNext: import("vue").ComputedRef<boolean>;
                showSuperNext: import("vue").ComputedRef<boolean>;
                year: import("vue").ComputedRef<string>;
                month: import("vue").ComputedRef<string>;
                getIconClassName: (show?: boolean | undefined) => (string | {
                    [x: string]: boolean;
                })[];
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "label-click"[], "label-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                title: {
                    type: StringConstructor;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                icons: {
                    type: PropType<import("./interface").HeaderIcons>;
                };
                onPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>> & Readonly<{
                "onLabel-click"?: ((...args: any[]) => any) | undefined;
            }>, {
                mode: Mode;
            }, {}, {
                IconLeft: any;
                IconRight: any;
                IconDoubleLeft: any;
                IconDoubleRight: any;
                RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            PanelBody: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                rows: {
                    type: PropType<import("./interface").Cell[][]>;
                    default: () => never[];
                };
                value: {
                    type: PropType<Dayjs>;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
            }>, {
                isWeek: import("vue").ComputedRef<boolean>;
                getCellClassName: (cellData: import("./interface").Cell) => (string | {
                    [x: string]: boolean | undefined;
                } | undefined)[];
                onCellClick: (cellData: import("./interface").Cell) => void;
                onCellMouseEnter: (cellData: import("./interface").Cell) => void;
                onCellMouseLeave: (cellData: import("./interface").Cell) => void;
                getDateValue: typeof getDateValue;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cell-click" | "cell-mouse-enter")[], "cell-click" | "cell-mouse-enter", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                rows: {
                    type: PropType<import("./interface").Cell[][]>;
                    default: () => never[];
                };
                value: {
                    type: PropType<Dayjs>;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
            }>> & Readonly<{
                "onCell-click"?: ((...args: any[]) => any) | undefined;
                "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            }>, {
                rows: import("./interface").Cell[][];
            }, {}, {
                RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            PanelWeekList: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                weekList: {
                    type: PropType<number[]>;
                    required: true;
                };
            }>, {
                labelList: any[];
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                weekList: {
                    type: PropType<number[]>;
                    required: true;
                };
            }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            TimePanel: import("vue").DefineComponent<{
                value?: Dayjs | undefined;
                defaultValue?: Dayjs | undefined;
                format: string;
                visible: boolean;
                hideFooter: boolean;
                isRange: boolean;
                disabled: boolean;
                step?: {
                    hour?: number | undefined;
                    minute?: number | undefined;
                    second?: number | undefined;
                } | undefined;
                use12Hours: boolean;
                disabledHours?: (() => number[]) | undefined;
                disabledMinutes?: ((selectedHour?: number | undefined) => number[]) | undefined;
                disabledSeconds?: ((selectedHour?: number | undefined, selectedMinute?: number | undefined) => number[]) | undefined;
                hideDisabledOptions: boolean;
            }, {
                prefixCls: string;
                t: (key: string, ...args: any[]) => string;
                hours: import("vue").ComputedRef<import("../time-picker/interface").TimeList>;
                minutes: import("vue").ComputedRef<import("../time-picker/interface").TimeList>;
                seconds: import("vue").ComputedRef<import("../time-picker/interface").TimeList>;
                ampmList: import("vue").ComputedRef<import("../time-picker/interface").TimeList>;
                selectedValue: import("vue").Ref<{
                    clone: () => Dayjs;
                    isValid: () => boolean;
                    year: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    month: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    date: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    day: {
                        (): 0 | 1 | 2 | 4 | 3 | 5 | 6;
                        (value: number): Dayjs;
                    };
                    hour: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    minute: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    second: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    millisecond: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    set: (unit: import("dayjs").UnitType, value: number) => Dayjs;
                    get: (unit: import("dayjs").UnitType) => number;
                    add: {
                        (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                        (value: number, unit: import("dayjs").QUnitType): Dayjs;
                    };
                    subtract: {
                        (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                        (value: number, unit: import("dayjs").QUnitType): Dayjs;
                    };
                    startOf: {
                        (unit: import("dayjs").OpUnitType): Dayjs;
                        (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
                    };
                    endOf: {
                        (unit: import("dayjs").OpUnitType): Dayjs;
                        (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
                    };
                    format: (template?: string | undefined) => string;
                    diff: (date?: string | number | Date | Dayjs | null | undefined, unit?: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q" | undefined, float?: boolean | undefined) => number;
                    valueOf: () => number;
                    unix: () => number;
                    daysInMonth: () => number;
                    toDate: () => Date;
                    toJSON: () => string;
                    toISOString: () => string;
                    toString: () => string;
                    utcOffset: () => number;
                    isBefore: {
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                    };
                    isSame: {
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                    };
                    isAfter: {
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                    };
                    locale: {
                        (): string;
                        (preset: string | ILocale, object?: Partial<ILocale> | undefined): Dayjs;
                    };
                    isBetween: (a: string | number | Date | Dayjs | null | undefined, b: string | number | Date | Dayjs | null | undefined, c?: import("dayjs").OpUnitType | null | undefined, d?: "[]" | "()" | "[)" | "(]" | undefined) => boolean;
                    week: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    weekYear: () => number;
                    quarter: {
                        (): number;
                        (quarter: number): Dayjs;
                    };
                } | undefined, Dayjs | {
                    clone: () => Dayjs;
                    isValid: () => boolean;
                    year: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    month: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    date: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    day: {
                        (): 0 | 1 | 2 | 4 | 3 | 5 | 6;
                        (value: number): Dayjs;
                    };
                    hour: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    minute: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    second: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    millisecond: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    set: (unit: import("dayjs").UnitType, value: number) => Dayjs;
                    get: (unit: import("dayjs").UnitType) => number;
                    add: {
                        (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                        (value: number, unit: import("dayjs").QUnitType): Dayjs;
                    };
                    subtract: {
                        (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                        (value: number, unit: import("dayjs").QUnitType): Dayjs;
                    };
                    startOf: {
                        (unit: import("dayjs").OpUnitType): Dayjs;
                        (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
                    };
                    endOf: {
                        (unit: import("dayjs").OpUnitType): Dayjs;
                        (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
                    };
                    format: (template?: string | undefined) => string;
                    diff: (date?: string | number | Date | Dayjs | null | undefined, unit?: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q" | undefined, float?: boolean | undefined) => number;
                    valueOf: () => number;
                    unix: () => number;
                    daysInMonth: () => number;
                    toDate: () => Date;
                    toJSON: () => string;
                    toISOString: () => string;
                    toString: () => string;
                    utcOffset: () => number;
                    isBefore: {
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                    };
                    isSame: {
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                    };
                    isAfter: {
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                        (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                    };
                    locale: {
                        (): string;
                        (preset: string | ILocale, object?: Partial<ILocale> | undefined): Dayjs;
                    };
                    isBetween: (a: string | number | Date | Dayjs | null | undefined, b: string | number | Date | Dayjs | null | undefined, c?: import("dayjs").OpUnitType | null | undefined, d?: "[]" | "()" | "[)" | "(]" | undefined) => boolean;
                    week: {
                        (): number;
                        (value: number): Dayjs;
                    };
                    weekYear: () => number;
                    quarter: {
                        (): number;
                        (quarter: number): Dayjs;
                    };
                } | undefined>;
                selectedHour: import("vue").ComputedRef<number | undefined>;
                selectedMinute: import("vue").ComputedRef<number | undefined>;
                selectedSecond: import("vue").ComputedRef<number | undefined>;
                selectedAmpm: import("vue").ComputedRef<"pm" | "am">;
                computedUse12Hours: import("vue").ComputedRef<boolean>;
                confirmBtnDisabled: import("vue").ComputedRef<boolean>;
                columns: import("vue").ComputedRef<string[]>;
                onSelect: (value: string | number, type?: "second" | "minute" | "hour" | "ampm") => void;
                onSelectNow(): void;
                onConfirm(): void;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                select: (value: Dayjs) => boolean;
                confirm: (value: Dayjs) => boolean;
            }, string, import("vue").PublicProps, Readonly<{
                value?: Dayjs | undefined;
                defaultValue?: Dayjs | undefined;
                format: string;
                visible: boolean;
                hideFooter: boolean;
                isRange: boolean;
                disabled: boolean;
                step?: {
                    hour?: number | undefined;
                    minute?: number | undefined;
                    second?: number | undefined;
                } | undefined;
                use12Hours: boolean;
                disabledHours?: (() => number[]) | undefined;
                disabledMinutes?: ((selectedHour?: number | undefined) => number[]) | undefined;
                disabledSeconds?: ((selectedHour?: number | undefined, selectedMinute?: number | undefined) => number[]) | undefined;
                hideDisabledOptions: boolean;
            }> & Readonly<{
                onSelect?: ((value: Dayjs) => any) | undefined;
                onConfirm?: ((value: Dayjs) => any) | undefined;
            }>, {
                disabled: boolean;
                visible: boolean;
                format: string;
                isRange: boolean;
                use12Hours: boolean;
                hideDisabledOptions: boolean;
                hideFooter: boolean;
            }, {}, {
                TimeColumn: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    prefixCls: {
                        type: StringConstructor;
                        required: true;
                    };
                    list: {
                        type: PropType<import("../time-picker/interface").TimeList>;
                        required: true;
                    };
                    value: {
                        type: (StringConstructor | NumberConstructor)[];
                    };
                    visible: {
                        type: BooleanConstructor;
                    };
                }>, {
                    refWrapper: import("vue").Ref<HTMLElement | undefined, HTMLElement | undefined>;
                    refMap: import("vue").Ref<Map<string | number, HTMLElement> & Omit<Map<string | number, HTMLElement>, keyof Map<any, any>>, Map<string | number, HTMLElement> | (Map<string | number, HTMLElement> & Omit<Map<string | number, HTMLElement>, keyof Map<any, any>>)>;
                    onItemRef(el: HTMLElement, item: import("../time-picker/interface").TimeListItem): void;
                    onItemClick(item: import("../time-picker/interface").TimeListItem): void;
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "select"[], "select", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    prefixCls: {
                        type: StringConstructor;
                        required: true;
                    };
                    list: {
                        type: PropType<import("../time-picker/interface").TimeList>;
                        required: true;
                    };
                    value: {
                        type: (StringConstructor | NumberConstructor)[];
                    };
                    visible: {
                        type: BooleanConstructor;
                    };
                }>> & Readonly<{
                    onSelect?: ((...args: any[]) => any) | undefined;
                }>, {
                    visible: boolean;
                }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                Button: {
                    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
                        type: {
                            type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                        };
                        shape: {
                            type: PropType<"round" | "circle" | "square">;
                        };
                        status: {
                            type: PropType<"normal" | "success" | "warning" | "danger">;
                        };
                        size: {
                            type: PropType<"mini" | "medium" | "large" | "small">;
                        };
                        long: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        loading: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        disabled: {
                            type: BooleanConstructor;
                        };
                        htmlType: {
                            type: StringConstructor;
                            default: string;
                        };
                        href: StringConstructor;
                    }>> & Readonly<{
                        onClick?: ((ev: MouseEvent) => any) | undefined;
                    }>, {
                        prefixCls: string;
                        cls: import("vue").ComputedRef<(string | {
                            [x: string]: boolean;
                        })[]>;
                        innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                        mergedDisabled: import("vue").ComputedRef<boolean>;
                        handleClick: (ev: MouseEvent) => void;
                    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                        click: (ev: MouseEvent) => true;
                    }, import("vue").PublicProps, {
                        disabled: boolean;
                        loading: boolean;
                        long: boolean;
                        htmlType: string;
                    }, true, {}, {}, {
                        IconLoading: any;
                        Wave: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                            insertExtraNode: BooleanConstructor;
                            disabled: BooleanConstructor;
                        }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                            insertExtraNode: BooleanConstructor;
                            disabled: BooleanConstructor;
                        }>> & Readonly<{}>, {
                            disabled: boolean;
                            insertExtraNode: boolean;
                        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                    } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
                        P: {};
                        B: {};
                        D: {};
                        C: {};
                        M: {};
                        Defaults: {};
                    }, Readonly<import("vue").ExtractPropTypes<{
                        type: {
                            type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                        };
                        shape: {
                            type: PropType<"round" | "circle" | "square">;
                        };
                        status: {
                            type: PropType<"normal" | "success" | "warning" | "danger">;
                        };
                        size: {
                            type: PropType<"mini" | "medium" | "large" | "small">;
                        };
                        long: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        loading: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        disabled: {
                            type: BooleanConstructor;
                        };
                        htmlType: {
                            type: StringConstructor;
                            default: string;
                        };
                        href: StringConstructor;
                    }>> & Readonly<{
                        onClick?: ((ev: MouseEvent) => any) | undefined;
                    }>, {
                        prefixCls: string;
                        cls: import("vue").ComputedRef<(string | {
                            [x: string]: boolean;
                        })[]>;
                        innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                        mergedDisabled: import("vue").ComputedRef<boolean>;
                        handleClick: (ev: MouseEvent) => void;
                    }, {}, {}, {}, {
                        disabled: boolean;
                        loading: boolean;
                        long: boolean;
                        htmlType: string;
                    }>;
                    __isFragment?: undefined;
                    __isTeleport?: undefined;
                    __isSuspense?: undefined;
                } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                    type: {
                        type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                    };
                    shape: {
                        type: PropType<"round" | "circle" | "square">;
                    };
                    status: {
                        type: PropType<"normal" | "success" | "warning" | "danger">;
                    };
                    size: {
                        type: PropType<"mini" | "medium" | "large" | "small">;
                    };
                    long: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    loading: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                    disabled: {
                        type: BooleanConstructor;
                    };
                    htmlType: {
                        type: StringConstructor;
                        default: string;
                    };
                    href: StringConstructor;
                }>> & Readonly<{
                    onClick?: ((ev: MouseEvent) => any) | undefined;
                }>, {
                    prefixCls: string;
                    cls: import("vue").ComputedRef<(string | {
                        [x: string]: boolean;
                    })[]>;
                    innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                    mergedDisabled: import("vue").ComputedRef<boolean>;
                    handleClick: (ev: MouseEvent) => void;
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                    click: (ev: MouseEvent) => true;
                }, string, {
                    disabled: boolean;
                    loading: boolean;
                    long: boolean;
                    htmlType: string;
                }, {}, string, {}, {
                    IconLoading: any;
                    Wave: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                        insertExtraNode: BooleanConstructor;
                        disabled: BooleanConstructor;
                    }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                        insertExtraNode: BooleanConstructor;
                        disabled: BooleanConstructor;
                    }>> & Readonly<{}>, {
                        disabled: boolean;
                        insertExtraNode: boolean;
                    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
                    Group: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                        type: {
                            type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary">;
                        };
                        status: {
                            type: PropType<"normal" | "success" | "warning" | "danger">;
                        };
                        shape: {
                            type: PropType<"round" | "circle" | "square">;
                        };
                        size: {
                            type: PropType<"mini" | "medium" | "large" | "small">;
                        };
                        disabled: {
                            type: BooleanConstructor;
                        };
                    }>, {
                        prefixCls: string;
                    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                        type: {
                            type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary">;
                        };
                        status: {
                            type: PropType<"normal" | "success" | "warning" | "danger">;
                        };
                        shape: {
                            type: PropType<"round" | "circle" | "square">;
                        };
                        size: {
                            type: PropType<"mini" | "medium" | "large" | "small">;
                        };
                        disabled: {
                            type: BooleanConstructor;
                        };
                    }>> & Readonly<{}>, {
                        disabled: boolean;
                    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                    install: (app: import("vue").App<any>, options?: import("../_utils/types").ArcoOptions | undefined) => void;
                };
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            IconCalendar: any;
            IconClockCircle: any;
        }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        WeekPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            dayStartOfWeek: {
                type: PropType<WeekStart>;
                default: number;
            };
        }>, {
            isSameTime: import("./interface").IsSameTime;
            onSelect: (value: Dayjs) => void;
            onCellMouseEnter: (value: Dayjs) => void;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "cell-mouse-enter")[], "select" | "cell-mouse-enter", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            dayStartOfWeek: {
                type: PropType<WeekStart>;
                default: number;
            };
        }>> & Readonly<{
            onSelect?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
        }>, {
            dayStartOfWeek: WeekStart;
        }, {}, {
            DatePanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                isRange: {
                    type: BooleanConstructor;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                headerValue: {
                    type: PropType<Dayjs>;
                    required: true;
                };
                footerValue: {
                    type: PropType<Dayjs>;
                };
                timePickerValue: {
                    type: PropType<Dayjs>;
                };
                headerOperations: {
                    type: PropType<import("./interface").HeaderOperations>;
                    default: () => {};
                };
                headerIcons: {
                    type: PropType<import("./interface").HeaderIcons>;
                    default: () => {};
                };
                dayStartOfWeek: {
                    type: PropType<WeekStart>;
                    default: number;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                disabledTime: {
                    type: PropType<import("./interface").DisabledTime>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                showTime: {
                    type: BooleanConstructor;
                };
                timePickerProps: {
                    type: PropType<Partial<TimePickerProps>>;
                };
                currentView: {
                    type: PropType<"time" | "date">;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                onHeaderLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>, {
                prefixCls: import("vue").ComputedRef<string>;
                classNames: import("vue").ComputedRef<(string | {
                    [x: string]: boolean;
                })[]>;
                pickerPrefixCls: string;
                headerTitle: import("vue").ComputedRef<string>;
                rows: import("vue").ComputedRef<import("./interface").Cell[][]>;
                weekList: import("vue").ComputedRef<number[]>;
                mergedIsSameTime: import("vue").ComputedRef<import("./interface").IsSameTime>;
                disabledTimeProps: import("vue").ComputedRef<DisabledTimeProps>;
                onCellClick: (cellData: import("./interface").Cell) => void;
                onCellMouseEnter: (cellData: import("./interface").Cell) => void;
                onTimePanelSelect: (time: Dayjs) => void;
                showViewTabs: import("vue").ComputedRef<boolean>;
                showDateView: import("vue").ComputedRef<boolean>;
                showTimeView: import("vue").ComputedRef<boolean>;
                changeViewTo: (newView: "time" | "date") => void;
                datePickerT: (key: string, ...args: any[]) => any;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "cell-mouse-enter" | "time-picker-select" | "current-view-change" | "update:currentView")[], "select" | "cell-mouse-enter" | "time-picker-select" | "current-view-change" | "update:currentView", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                isRange: {
                    type: BooleanConstructor;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                headerValue: {
                    type: PropType<Dayjs>;
                    required: true;
                };
                footerValue: {
                    type: PropType<Dayjs>;
                };
                timePickerValue: {
                    type: PropType<Dayjs>;
                };
                headerOperations: {
                    type: PropType<import("./interface").HeaderOperations>;
                    default: () => {};
                };
                headerIcons: {
                    type: PropType<import("./interface").HeaderIcons>;
                    default: () => {};
                };
                dayStartOfWeek: {
                    type: PropType<WeekStart>;
                    default: number;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                disabledTime: {
                    type: PropType<import("./interface").DisabledTime>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                showTime: {
                    type: BooleanConstructor;
                };
                timePickerProps: {
                    type: PropType<Partial<TimePickerProps>>;
                };
                currentView: {
                    type: PropType<"time" | "date">;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
                disabled: {
                    type: BooleanConstructor;
                };
                onHeaderLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>> & Readonly<{
                onSelect?: ((...args: any[]) => any) | undefined;
                "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
                "onTime-picker-select"?: ((...args: any[]) => any) | undefined;
                "onCurrent-view-change"?: ((...args: any[]) => any) | undefined;
                "onUpdate:currentView"?: ((...args: any[]) => any) | undefined;
            }>, {
                disabled: boolean;
                mode: Mode;
                dayStartOfWeek: WeekStart;
                showTime: boolean;
                isRange: boolean;
                headerOperations: import("./interface").HeaderOperations;
                headerIcons: import("./interface").HeaderIcons;
            }, {}, {
                PanelHeader: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    prefixCls: {
                        type: StringConstructor;
                        required: true;
                    };
                    title: {
                        type: StringConstructor;
                        required: true;
                    };
                    mode: {
                        type: PropType<Mode>;
                        default: string;
                    };
                    value: {
                        type: PropType<Dayjs>;
                    };
                    icons: {
                        type: PropType<import("./interface").HeaderIcons>;
                    };
                    onPrev: {
                        type: PropType<(payload: MouseEvent) => void>;
                    };
                    onSuperPrev: {
                        type: PropType<(payload: MouseEvent) => void>;
                    };
                    onNext: {
                        type: PropType<(payload: MouseEvent) => void>;
                    };
                    onSuperNext: {
                        type: PropType<(payload: MouseEvent) => void>;
                    };
                    onLabelClick: {
                        type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                    };
                }>, {
                    showPrev: import("vue").ComputedRef<boolean>;
                    showSuperPrev: import("vue").ComputedRef<boolean>;
                    showNext: import("vue").ComputedRef<boolean>;
                    showSuperNext: import("vue").ComputedRef<boolean>;
                    year: import("vue").ComputedRef<string>;
                    month: import("vue").ComputedRef<string>;
                    getIconClassName: (show?: boolean | undefined) => (string | {
                        [x: string]: boolean;
                    })[];
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "label-click"[], "label-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    prefixCls: {
                        type: StringConstructor;
                        required: true;
                    };
                    title: {
                        type: StringConstructor;
                        required: true;
                    };
                    mode: {
                        type: PropType<Mode>;
                        default: string;
                    };
                    value: {
                        type: PropType<Dayjs>;
                    };
                    icons: {
                        type: PropType<import("./interface").HeaderIcons>;
                    };
                    onPrev: {
                        type: PropType<(payload: MouseEvent) => void>;
                    };
                    onSuperPrev: {
                        type: PropType<(payload: MouseEvent) => void>;
                    };
                    onNext: {
                        type: PropType<(payload: MouseEvent) => void>;
                    };
                    onSuperNext: {
                        type: PropType<(payload: MouseEvent) => void>;
                    };
                    onLabelClick: {
                        type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                    };
                }>> & Readonly<{
                    "onLabel-click"?: ((...args: any[]) => any) | undefined;
                }>, {
                    mode: Mode;
                }, {}, {
                    IconLeft: any;
                    IconRight: any;
                    IconDoubleLeft: any;
                    IconDoubleRight: any;
                    RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                        renderFunc: {
                            type: PropType<import("../_components/render-function").RenderFunc>;
                            required: true;
                        };
                    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                        renderFunc: {
                            type: PropType<import("../_components/render-function").RenderFunc>;
                            required: true;
                        };
                    }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                PanelBody: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    prefixCls: {
                        type: StringConstructor;
                        required: true;
                    };
                    rows: {
                        type: PropType<import("./interface").Cell[][]>;
                        default: () => never[];
                    };
                    value: {
                        type: PropType<Dayjs>;
                    };
                    disabledDate: {
                        type: PropType<import("./interface").DisabledDate>;
                    };
                    isSameTime: {
                        type: PropType<import("./interface").IsSameTime>;
                        required: true;
                    };
                    mode: {
                        type: PropType<Mode>;
                    };
                    rangeValues: {
                        type: PropType<(Dayjs | undefined)[]>;
                    };
                    dateRender: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                    };
                }>, {
                    isWeek: import("vue").ComputedRef<boolean>;
                    getCellClassName: (cellData: import("./interface").Cell) => (string | {
                        [x: string]: boolean | undefined;
                    } | undefined)[];
                    onCellClick: (cellData: import("./interface").Cell) => void;
                    onCellMouseEnter: (cellData: import("./interface").Cell) => void;
                    onCellMouseLeave: (cellData: import("./interface").Cell) => void;
                    getDateValue: typeof getDateValue;
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cell-click" | "cell-mouse-enter")[], "cell-click" | "cell-mouse-enter", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    prefixCls: {
                        type: StringConstructor;
                        required: true;
                    };
                    rows: {
                        type: PropType<import("./interface").Cell[][]>;
                        default: () => never[];
                    };
                    value: {
                        type: PropType<Dayjs>;
                    };
                    disabledDate: {
                        type: PropType<import("./interface").DisabledDate>;
                    };
                    isSameTime: {
                        type: PropType<import("./interface").IsSameTime>;
                        required: true;
                    };
                    mode: {
                        type: PropType<Mode>;
                    };
                    rangeValues: {
                        type: PropType<(Dayjs | undefined)[]>;
                    };
                    dateRender: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                    };
                }>> & Readonly<{
                    "onCell-click"?: ((...args: any[]) => any) | undefined;
                    "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
                }>, {
                    rows: import("./interface").Cell[][];
                }, {}, {
                    RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                        renderFunc: {
                            type: PropType<import("../_components/render-function").RenderFunc>;
                            required: true;
                        };
                    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                        renderFunc: {
                            type: PropType<import("../_components/render-function").RenderFunc>;
                            required: true;
                        };
                    }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                PanelWeekList: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    prefixCls: {
                        type: StringConstructor;
                        required: true;
                    };
                    weekList: {
                        type: PropType<number[]>;
                        required: true;
                    };
                }>, {
                    labelList: any[];
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    prefixCls: {
                        type: StringConstructor;
                        required: true;
                    };
                    weekList: {
                        type: PropType<number[]>;
                        required: true;
                    };
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                TimePanel: import("vue").DefineComponent<{
                    value?: Dayjs | undefined;
                    defaultValue?: Dayjs | undefined;
                    format: string;
                    visible: boolean;
                    hideFooter: boolean;
                    isRange: boolean;
                    disabled: boolean;
                    step?: {
                        hour?: number | undefined;
                        minute?: number | undefined;
                        second?: number | undefined;
                    } | undefined;
                    use12Hours: boolean;
                    disabledHours?: (() => number[]) | undefined;
                    disabledMinutes?: ((selectedHour?: number | undefined) => number[]) | undefined;
                    disabledSeconds?: ((selectedHour?: number | undefined, selectedMinute?: number | undefined) => number[]) | undefined;
                    hideDisabledOptions: boolean;
                }, {
                    prefixCls: string;
                    t: (key: string, ...args: any[]) => string;
                    hours: import("vue").ComputedRef<import("../time-picker/interface").TimeList>;
                    minutes: import("vue").ComputedRef<import("../time-picker/interface").TimeList>;
                    seconds: import("vue").ComputedRef<import("../time-picker/interface").TimeList>;
                    ampmList: import("vue").ComputedRef<import("../time-picker/interface").TimeList>;
                    selectedValue: import("vue").Ref<{
                        clone: () => Dayjs;
                        isValid: () => boolean;
                        year: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        month: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        date: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        day: {
                            (): 0 | 1 | 2 | 4 | 3 | 5 | 6;
                            (value: number): Dayjs;
                        };
                        hour: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        minute: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        second: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        millisecond: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        set: (unit: import("dayjs").UnitType, value: number) => Dayjs;
                        get: (unit: import("dayjs").UnitType) => number;
                        add: {
                            (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                            (value: number, unit: import("dayjs").QUnitType): Dayjs;
                        };
                        subtract: {
                            (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                            (value: number, unit: import("dayjs").QUnitType): Dayjs;
                        };
                        startOf: {
                            (unit: import("dayjs").OpUnitType): Dayjs;
                            (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
                        };
                        endOf: {
                            (unit: import("dayjs").OpUnitType): Dayjs;
                            (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
                        };
                        format: (template?: string | undefined) => string;
                        diff: (date?: string | number | Date | Dayjs | null | undefined, unit?: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q" | undefined, float?: boolean | undefined) => number;
                        valueOf: () => number;
                        unix: () => number;
                        daysInMonth: () => number;
                        toDate: () => Date;
                        toJSON: () => string;
                        toISOString: () => string;
                        toString: () => string;
                        utcOffset: () => number;
                        isBefore: {
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                        };
                        isSame: {
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                        };
                        isAfter: {
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                        };
                        locale: {
                            (): string;
                            (preset: string | ILocale, object?: Partial<ILocale> | undefined): Dayjs;
                        };
                        isBetween: (a: string | number | Date | Dayjs | null | undefined, b: string | number | Date | Dayjs | null | undefined, c?: import("dayjs").OpUnitType | null | undefined, d?: "[]" | "()" | "[)" | "(]" | undefined) => boolean;
                        week: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        weekYear: () => number;
                        quarter: {
                            (): number;
                            (quarter: number): Dayjs;
                        };
                    } | undefined, Dayjs | {
                        clone: () => Dayjs;
                        isValid: () => boolean;
                        year: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        month: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        date: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        day: {
                            (): 0 | 1 | 2 | 4 | 3 | 5 | 6;
                            (value: number): Dayjs;
                        };
                        hour: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        minute: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        second: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        millisecond: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        set: (unit: import("dayjs").UnitType, value: number) => Dayjs;
                        get: (unit: import("dayjs").UnitType) => number;
                        add: {
                            (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                            (value: number, unit: import("dayjs").QUnitType): Dayjs;
                        };
                        subtract: {
                            (value: number, unit?: import("dayjs").ManipulateType | undefined): Dayjs;
                            (value: number, unit: import("dayjs").QUnitType): Dayjs;
                        };
                        startOf: {
                            (unit: import("dayjs").OpUnitType): Dayjs;
                            (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
                        };
                        endOf: {
                            (unit: import("dayjs").OpUnitType): Dayjs;
                            (unit: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q"): Dayjs;
                        };
                        format: (template?: string | undefined) => string;
                        diff: (date?: string | number | Date | Dayjs | null | undefined, unit?: "D" | "M" | "y" | "s" | "millisecond" | "second" | "minute" | "hour" | "day" | "month" | "year" | "date" | "milliseconds" | "seconds" | "minutes" | "hours" | "days" | "months" | "years" | "dates" | "d" | "h" | "m" | "ms" | "week" | "weeks" | "w" | "quarter" | "quarters" | "Q" | undefined, float?: boolean | undefined) => number;
                        valueOf: () => number;
                        unix: () => number;
                        daysInMonth: () => number;
                        toDate: () => Date;
                        toJSON: () => string;
                        toISOString: () => string;
                        toString: () => string;
                        utcOffset: () => number;
                        isBefore: {
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                        };
                        isSame: {
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                        };
                        isAfter: {
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").OpUnitType | undefined): boolean;
                            (date?: string | number | Date | Dayjs | null | undefined, unit?: import("dayjs").QUnitType | undefined): boolean;
                        };
                        locale: {
                            (): string;
                            (preset: string | ILocale, object?: Partial<ILocale> | undefined): Dayjs;
                        };
                        isBetween: (a: string | number | Date | Dayjs | null | undefined, b: string | number | Date | Dayjs | null | undefined, c?: import("dayjs").OpUnitType | null | undefined, d?: "[]" | "()" | "[)" | "(]" | undefined) => boolean;
                        week: {
                            (): number;
                            (value: number): Dayjs;
                        };
                        weekYear: () => number;
                        quarter: {
                            (): number;
                            (quarter: number): Dayjs;
                        };
                    } | undefined>;
                    selectedHour: import("vue").ComputedRef<number | undefined>;
                    selectedMinute: import("vue").ComputedRef<number | undefined>;
                    selectedSecond: import("vue").ComputedRef<number | undefined>;
                    selectedAmpm: import("vue").ComputedRef<"pm" | "am">;
                    computedUse12Hours: import("vue").ComputedRef<boolean>;
                    confirmBtnDisabled: import("vue").ComputedRef<boolean>;
                    columns: import("vue").ComputedRef<string[]>;
                    onSelect: (value: string | number, type?: "second" | "minute" | "hour" | "ampm") => void;
                    onSelectNow(): void;
                    onConfirm(): void;
                }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                    select: (value: Dayjs) => boolean;
                    confirm: (value: Dayjs) => boolean;
                }, string, import("vue").PublicProps, Readonly<{
                    value?: Dayjs | undefined;
                    defaultValue?: Dayjs | undefined;
                    format: string;
                    visible: boolean;
                    hideFooter: boolean;
                    isRange: boolean;
                    disabled: boolean;
                    step?: {
                        hour?: number | undefined;
                        minute?: number | undefined;
                        second?: number | undefined;
                    } | undefined;
                    use12Hours: boolean;
                    disabledHours?: (() => number[]) | undefined;
                    disabledMinutes?: ((selectedHour?: number | undefined) => number[]) | undefined;
                    disabledSeconds?: ((selectedHour?: number | undefined, selectedMinute?: number | undefined) => number[]) | undefined;
                    hideDisabledOptions: boolean;
                }> & Readonly<{
                    onSelect?: ((value: Dayjs) => any) | undefined;
                    onConfirm?: ((value: Dayjs) => any) | undefined;
                }>, {
                    disabled: boolean;
                    visible: boolean;
                    format: string;
                    isRange: boolean;
                    use12Hours: boolean;
                    hideDisabledOptions: boolean;
                    hideFooter: boolean;
                }, {}, {
                    TimeColumn: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                        prefixCls: {
                            type: StringConstructor;
                            required: true;
                        };
                        list: {
                            type: PropType<import("../time-picker/interface").TimeList>;
                            required: true;
                        };
                        value: {
                            type: (StringConstructor | NumberConstructor)[];
                        };
                        visible: {
                            type: BooleanConstructor;
                        };
                    }>, {
                        refWrapper: import("vue").Ref<HTMLElement | undefined, HTMLElement | undefined>;
                        refMap: import("vue").Ref<Map<string | number, HTMLElement> & Omit<Map<string | number, HTMLElement>, keyof Map<any, any>>, Map<string | number, HTMLElement> | (Map<string | number, HTMLElement> & Omit<Map<string | number, HTMLElement>, keyof Map<any, any>>)>;
                        onItemRef(el: HTMLElement, item: import("../time-picker/interface").TimeListItem): void;
                        onItemClick(item: import("../time-picker/interface").TimeListItem): void;
                    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "select"[], "select", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                        prefixCls: {
                            type: StringConstructor;
                            required: true;
                        };
                        list: {
                            type: PropType<import("../time-picker/interface").TimeList>;
                            required: true;
                        };
                        value: {
                            type: (StringConstructor | NumberConstructor)[];
                        };
                        visible: {
                            type: BooleanConstructor;
                        };
                    }>> & Readonly<{
                        onSelect?: ((...args: any[]) => any) | undefined;
                    }>, {
                        visible: boolean;
                    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                    Button: {
                        new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
                            type: {
                                type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                            };
                            shape: {
                                type: PropType<"round" | "circle" | "square">;
                            };
                            status: {
                                type: PropType<"normal" | "success" | "warning" | "danger">;
                            };
                            size: {
                                type: PropType<"mini" | "medium" | "large" | "small">;
                            };
                            long: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            loading: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            disabled: {
                                type: BooleanConstructor;
                            };
                            htmlType: {
                                type: StringConstructor;
                                default: string;
                            };
                            href: StringConstructor;
                        }>> & Readonly<{
                            onClick?: ((ev: MouseEvent) => any) | undefined;
                        }>, {
                            prefixCls: string;
                            cls: import("vue").ComputedRef<(string | {
                                [x: string]: boolean;
                            })[]>;
                            innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                            mergedDisabled: import("vue").ComputedRef<boolean>;
                            handleClick: (ev: MouseEvent) => void;
                        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                            click: (ev: MouseEvent) => true;
                        }, import("vue").PublicProps, {
                            disabled: boolean;
                            loading: boolean;
                            long: boolean;
                            htmlType: string;
                        }, true, {}, {}, {
                            IconLoading: any;
                            Wave: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                                insertExtraNode: BooleanConstructor;
                                disabled: BooleanConstructor;
                            }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                                [key: string]: any;
                            }> | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                                insertExtraNode: BooleanConstructor;
                                disabled: BooleanConstructor;
                            }>> & Readonly<{}>, {
                                disabled: boolean;
                                insertExtraNode: boolean;
                            }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                        } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
                            P: {};
                            B: {};
                            D: {};
                            C: {};
                            M: {};
                            Defaults: {};
                        }, Readonly<import("vue").ExtractPropTypes<{
                            type: {
                                type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                            };
                            shape: {
                                type: PropType<"round" | "circle" | "square">;
                            };
                            status: {
                                type: PropType<"normal" | "success" | "warning" | "danger">;
                            };
                            size: {
                                type: PropType<"mini" | "medium" | "large" | "small">;
                            };
                            long: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            loading: {
                                type: BooleanConstructor;
                                default: boolean;
                            };
                            disabled: {
                                type: BooleanConstructor;
                            };
                            htmlType: {
                                type: StringConstructor;
                                default: string;
                            };
                            href: StringConstructor;
                        }>> & Readonly<{
                            onClick?: ((ev: MouseEvent) => any) | undefined;
                        }>, {
                            prefixCls: string;
                            cls: import("vue").ComputedRef<(string | {
                                [x: string]: boolean;
                            })[]>;
                            innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                            mergedDisabled: import("vue").ComputedRef<boolean>;
                            handleClick: (ev: MouseEvent) => void;
                        }, {}, {}, {}, {
                            disabled: boolean;
                            loading: boolean;
                            long: boolean;
                            htmlType: string;
                        }>;
                        __isFragment?: undefined;
                        __isTeleport?: undefined;
                        __isSuspense?: undefined;
                    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                        type: {
                            type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary" | "plain">;
                        };
                        shape: {
                            type: PropType<"round" | "circle" | "square">;
                        };
                        status: {
                            type: PropType<"normal" | "success" | "warning" | "danger">;
                        };
                        size: {
                            type: PropType<"mini" | "medium" | "large" | "small">;
                        };
                        long: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        loading: {
                            type: BooleanConstructor;
                            default: boolean;
                        };
                        disabled: {
                            type: BooleanConstructor;
                        };
                        htmlType: {
                            type: StringConstructor;
                            default: string;
                        };
                        href: StringConstructor;
                    }>> & Readonly<{
                        onClick?: ((ev: MouseEvent) => any) | undefined;
                    }>, {
                        prefixCls: string;
                        cls: import("vue").ComputedRef<(string | {
                            [x: string]: boolean;
                        })[]>;
                        innerLoading: import("vue").Ref<number | boolean, number | boolean>;
                        mergedDisabled: import("vue").ComputedRef<boolean>;
                        handleClick: (ev: MouseEvent) => void;
                    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                        click: (ev: MouseEvent) => true;
                    }, string, {
                        disabled: boolean;
                        loading: boolean;
                        long: boolean;
                        htmlType: string;
                    }, {}, string, {}, {
                        IconLoading: any;
                        Wave: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                            insertExtraNode: BooleanConstructor;
                            disabled: BooleanConstructor;
                        }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                            insertExtraNode: BooleanConstructor;
                            disabled: BooleanConstructor;
                        }>> & Readonly<{}>, {
                            disabled: boolean;
                            insertExtraNode: boolean;
                        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                    } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
                        Group: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                            type: {
                                type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary">;
                            };
                            status: {
                                type: PropType<"normal" | "success" | "warning" | "danger">;
                            };
                            shape: {
                                type: PropType<"round" | "circle" | "square">;
                            };
                            size: {
                                type: PropType<"mini" | "medium" | "large" | "small">;
                            };
                            disabled: {
                                type: BooleanConstructor;
                            };
                        }>, {
                            prefixCls: string;
                        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                            type: {
                                type: PropType<"dashed" | "text" | "outline" | "primary" | "secondary">;
                            };
                            status: {
                                type: PropType<"normal" | "success" | "warning" | "danger">;
                            };
                            shape: {
                                type: PropType<"round" | "circle" | "square">;
                            };
                            size: {
                                type: PropType<"mini" | "medium" | "large" | "small">;
                            };
                            disabled: {
                                type: BooleanConstructor;
                            };
                        }>> & Readonly<{}>, {
                            disabled: boolean;
                        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                        install: (app: import("vue").App<any>, options?: import("../_utils/types").ArcoOptions | undefined) => void;
                    };
                }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
                IconCalendar: any;
                IconClockCircle: any;
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        MonthPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            headerValue: {
                type: PropType<Dayjs>;
                required: true;
            };
            headerOperations: {
                type: PropType<import("./interface").HeaderOperations>;
                default: () => {};
            };
            headerIcons: {
                type: PropType<import("./interface").HeaderIcons>;
                default: () => {};
            };
            value: {
                type: PropType<Dayjs>;
            };
            disabledDate: {
                type: PropType<import("./interface").DisabledDate>;
            };
            rangeValues: {
                type: PropType<(Dayjs | undefined)[]>;
            };
            dateRender: {
                type: PropType<import("../_components/render-function").RenderFunc>;
            };
            onHeaderLabelClick: {
                type: PropType<import("./panels/header").HeaderLabelClickFunc>;
            };
        }>, {
            prefixCls: import("vue").ComputedRef<string>;
            pickerPrefixCls: string;
            headerTitle: import("vue").ComputedRef<string>;
            rows: import("vue").ComputedRef<{
                label: any;
                value: Dayjs;
            }[][]>;
            isSameTime: import("./interface").IsSameTime;
            onCellClick: (cellData: import("./interface").Cell) => void;
            onCellMouseEnter: (cellData: import("./interface").Cell) => void;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "cell-mouse-enter")[], "select" | "cell-mouse-enter", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            headerValue: {
                type: PropType<Dayjs>;
                required: true;
            };
            headerOperations: {
                type: PropType<import("./interface").HeaderOperations>;
                default: () => {};
            };
            headerIcons: {
                type: PropType<import("./interface").HeaderIcons>;
                default: () => {};
            };
            value: {
                type: PropType<Dayjs>;
            };
            disabledDate: {
                type: PropType<import("./interface").DisabledDate>;
            };
            rangeValues: {
                type: PropType<(Dayjs | undefined)[]>;
            };
            dateRender: {
                type: PropType<import("../_components/render-function").RenderFunc>;
            };
            onHeaderLabelClick: {
                type: PropType<import("./panels/header").HeaderLabelClickFunc>;
            };
        }>> & Readonly<{
            onSelect?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
        }>, {
            headerOperations: import("./interface").HeaderOperations;
            headerIcons: import("./interface").HeaderIcons;
        }, {}, {
            PanelHeader: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                title: {
                    type: StringConstructor;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                icons: {
                    type: PropType<import("./interface").HeaderIcons>;
                };
                onPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>, {
                showPrev: import("vue").ComputedRef<boolean>;
                showSuperPrev: import("vue").ComputedRef<boolean>;
                showNext: import("vue").ComputedRef<boolean>;
                showSuperNext: import("vue").ComputedRef<boolean>;
                year: import("vue").ComputedRef<string>;
                month: import("vue").ComputedRef<string>;
                getIconClassName: (show?: boolean | undefined) => (string | {
                    [x: string]: boolean;
                })[];
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "label-click"[], "label-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                title: {
                    type: StringConstructor;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                icons: {
                    type: PropType<import("./interface").HeaderIcons>;
                };
                onPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>> & Readonly<{
                "onLabel-click"?: ((...args: any[]) => any) | undefined;
            }>, {
                mode: Mode;
            }, {}, {
                IconLeft: any;
                IconRight: any;
                IconDoubleLeft: any;
                IconDoubleRight: any;
                RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            PanelBody: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                rows: {
                    type: PropType<import("./interface").Cell[][]>;
                    default: () => never[];
                };
                value: {
                    type: PropType<Dayjs>;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
            }>, {
                isWeek: import("vue").ComputedRef<boolean>;
                getCellClassName: (cellData: import("./interface").Cell) => (string | {
                    [x: string]: boolean | undefined;
                } | undefined)[];
                onCellClick: (cellData: import("./interface").Cell) => void;
                onCellMouseEnter: (cellData: import("./interface").Cell) => void;
                onCellMouseLeave: (cellData: import("./interface").Cell) => void;
                getDateValue: typeof getDateValue;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cell-click" | "cell-mouse-enter")[], "cell-click" | "cell-mouse-enter", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                rows: {
                    type: PropType<import("./interface").Cell[][]>;
                    default: () => never[];
                };
                value: {
                    type: PropType<Dayjs>;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
            }>> & Readonly<{
                "onCell-click"?: ((...args: any[]) => any) | undefined;
                "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            }>, {
                rows: import("./interface").Cell[][];
            }, {}, {
                RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        YearPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            headerValue: {
                type: PropType<Dayjs>;
                required: true;
            };
            headerOperations: {
                type: PropType<import("./interface").HeaderOperations>;
                default: () => {};
            };
            headerIcons: {
                type: PropType<import("./interface").HeaderIcons>;
                default: () => {};
            };
            value: {
                type: PropType<Dayjs>;
            };
            disabledDate: {
                type: PropType<import("./interface").DisabledDate>;
            };
            rangeValues: {
                type: PropType<(Dayjs | undefined)[]>;
            };
            dateRender: {
                type: PropType<import("../_components/render-function").RenderFunc>;
            };
        }>, {
            prefixCls: import("vue").ComputedRef<string>;
            pickerPrefixCls: string;
            headerTitle: import("vue").ComputedRef<string>;
            rows: import("vue").ComputedRef<{
                label: number;
                value: Dayjs;
                isPrev: boolean;
                isNext: boolean;
            }[][]>;
            isSameTime: import("./interface").IsSameTime;
            onCellClick: (cellData: import("./interface").Cell) => void;
            onCellMouseEnter: (cellData: import("./interface").Cell) => void;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "cell-mouse-enter")[], "select" | "cell-mouse-enter", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            headerValue: {
                type: PropType<Dayjs>;
                required: true;
            };
            headerOperations: {
                type: PropType<import("./interface").HeaderOperations>;
                default: () => {};
            };
            headerIcons: {
                type: PropType<import("./interface").HeaderIcons>;
                default: () => {};
            };
            value: {
                type: PropType<Dayjs>;
            };
            disabledDate: {
                type: PropType<import("./interface").DisabledDate>;
            };
            rangeValues: {
                type: PropType<(Dayjs | undefined)[]>;
            };
            dateRender: {
                type: PropType<import("../_components/render-function").RenderFunc>;
            };
        }>> & Readonly<{
            onSelect?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
        }>, {
            headerOperations: import("./interface").HeaderOperations;
            headerIcons: import("./interface").HeaderIcons;
        }, {}, {
            PanelHeader: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                title: {
                    type: StringConstructor;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                icons: {
                    type: PropType<import("./interface").HeaderIcons>;
                };
                onPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>, {
                showPrev: import("vue").ComputedRef<boolean>;
                showSuperPrev: import("vue").ComputedRef<boolean>;
                showNext: import("vue").ComputedRef<boolean>;
                showSuperNext: import("vue").ComputedRef<boolean>;
                year: import("vue").ComputedRef<string>;
                month: import("vue").ComputedRef<string>;
                getIconClassName: (show?: boolean | undefined) => (string | {
                    [x: string]: boolean;
                })[];
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "label-click"[], "label-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                title: {
                    type: StringConstructor;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                icons: {
                    type: PropType<import("./interface").HeaderIcons>;
                };
                onPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>> & Readonly<{
                "onLabel-click"?: ((...args: any[]) => any) | undefined;
            }>, {
                mode: Mode;
            }, {}, {
                IconLeft: any;
                IconRight: any;
                IconDoubleLeft: any;
                IconDoubleRight: any;
                RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            PanelBody: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                rows: {
                    type: PropType<import("./interface").Cell[][]>;
                    default: () => never[];
                };
                value: {
                    type: PropType<Dayjs>;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
            }>, {
                isWeek: import("vue").ComputedRef<boolean>;
                getCellClassName: (cellData: import("./interface").Cell) => (string | {
                    [x: string]: boolean | undefined;
                } | undefined)[];
                onCellClick: (cellData: import("./interface").Cell) => void;
                onCellMouseEnter: (cellData: import("./interface").Cell) => void;
                onCellMouseLeave: (cellData: import("./interface").Cell) => void;
                getDateValue: typeof getDateValue;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cell-click" | "cell-mouse-enter")[], "cell-click" | "cell-mouse-enter", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                rows: {
                    type: PropType<import("./interface").Cell[][]>;
                    default: () => never[];
                };
                value: {
                    type: PropType<Dayjs>;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
            }>> & Readonly<{
                "onCell-click"?: ((...args: any[]) => any) | undefined;
                "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            }>, {
                rows: import("./interface").Cell[][];
            }, {}, {
                RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        QuarterPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            headerValue: {
                type: PropType<Dayjs>;
                required: true;
            };
            headerOperations: {
                type: PropType<import("./interface").HeaderOperations>;
                default: () => {};
            };
            headerIcons: {
                type: PropType<import("./interface").HeaderIcons>;
                default: () => {};
            };
            value: {
                type: PropType<Dayjs>;
            };
            disabledDate: {
                type: PropType<import("./interface").DisabledDate>;
            };
            rangeValues: {
                type: PropType<(Dayjs | undefined)[]>;
            };
            dateRender: {
                type: PropType<import("../_components/render-function").RenderFunc>;
            };
            onHeaderLabelClick: {
                type: PropType<import("./panels/header").HeaderLabelClickFunc>;
            };
        }>, {
            prefixCls: import("vue").ComputedRef<string>;
            pickerPrefixCls: string;
            headerTitle: import("vue").ComputedRef<string>;
            rows: import("vue").ComputedRef<import("./interface").Cell[][]>;
            isSameTime: import("./interface").IsSameTime;
            onCellClick: (cellData: import("./interface").Cell) => void;
            onCellMouseEnter: (cellData: import("./interface").Cell) => void;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "cell-mouse-enter")[], "select" | "cell-mouse-enter", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            headerValue: {
                type: PropType<Dayjs>;
                required: true;
            };
            headerOperations: {
                type: PropType<import("./interface").HeaderOperations>;
                default: () => {};
            };
            headerIcons: {
                type: PropType<import("./interface").HeaderIcons>;
                default: () => {};
            };
            value: {
                type: PropType<Dayjs>;
            };
            disabledDate: {
                type: PropType<import("./interface").DisabledDate>;
            };
            rangeValues: {
                type: PropType<(Dayjs | undefined)[]>;
            };
            dateRender: {
                type: PropType<import("../_components/render-function").RenderFunc>;
            };
            onHeaderLabelClick: {
                type: PropType<import("./panels/header").HeaderLabelClickFunc>;
            };
        }>> & Readonly<{
            onSelect?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
        }>, {
            headerOperations: import("./interface").HeaderOperations;
            headerIcons: import("./interface").HeaderIcons;
        }, {}, {
            PanelHeader: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                title: {
                    type: StringConstructor;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                icons: {
                    type: PropType<import("./interface").HeaderIcons>;
                };
                onPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>, {
                showPrev: import("vue").ComputedRef<boolean>;
                showSuperPrev: import("vue").ComputedRef<boolean>;
                showNext: import("vue").ComputedRef<boolean>;
                showSuperNext: import("vue").ComputedRef<boolean>;
                year: import("vue").ComputedRef<string>;
                month: import("vue").ComputedRef<string>;
                getIconClassName: (show?: boolean | undefined) => (string | {
                    [x: string]: boolean;
                })[];
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "label-click"[], "label-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                title: {
                    type: StringConstructor;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                    default: string;
                };
                value: {
                    type: PropType<Dayjs>;
                };
                icons: {
                    type: PropType<import("./interface").HeaderIcons>;
                };
                onPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperPrev: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onSuperNext: {
                    type: PropType<(payload: MouseEvent) => void>;
                };
                onLabelClick: {
                    type: PropType<import("./panels/header").HeaderLabelClickFunc>;
                };
            }>> & Readonly<{
                "onLabel-click"?: ((...args: any[]) => any) | undefined;
            }>, {
                mode: Mode;
            }, {}, {
                IconLeft: any;
                IconRight: any;
                IconDoubleLeft: any;
                IconDoubleRight: any;
                RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            PanelBody: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                rows: {
                    type: PropType<import("./interface").Cell[][]>;
                    default: () => never[];
                };
                value: {
                    type: PropType<Dayjs>;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
            }>, {
                isWeek: import("vue").ComputedRef<boolean>;
                getCellClassName: (cellData: import("./interface").Cell) => (string | {
                    [x: string]: boolean | undefined;
                } | undefined)[];
                onCellClick: (cellData: import("./interface").Cell) => void;
                onCellMouseEnter: (cellData: import("./interface").Cell) => void;
                onCellMouseLeave: (cellData: import("./interface").Cell) => void;
                getDateValue: typeof getDateValue;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cell-click" | "cell-mouse-enter")[], "cell-click" | "cell-mouse-enter", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                prefixCls: {
                    type: StringConstructor;
                    required: true;
                };
                rows: {
                    type: PropType<import("./interface").Cell[][]>;
                    default: () => never[];
                };
                value: {
                    type: PropType<Dayjs>;
                };
                disabledDate: {
                    type: PropType<import("./interface").DisabledDate>;
                };
                isSameTime: {
                    type: PropType<import("./interface").IsSameTime>;
                    required: true;
                };
                mode: {
                    type: PropType<Mode>;
                };
                rangeValues: {
                    type: PropType<(Dayjs | undefined)[]>;
                };
                dateRender: {
                    type: PropType<import("../_components/render-function").RenderFunc>;
                };
            }>> & Readonly<{
                "onCell-click"?: ((...args: any[]) => any) | undefined;
                "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            }>, {
                rows: import("./interface").Cell[][];
            }, {}, {
                RenderFunction: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                    renderFunc: {
                        type: PropType<import("../_components/render-function").RenderFunc>;
                        required: true;
                    };
                }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
            }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    DateRangeInput: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        size: {
            type: PropType<"mini" | "medium" | "large" | "small">;
        };
        focused: {
            type: BooleanConstructor;
        };
        focusedIndex: {
            type: NumberConstructor;
        };
        error: {
            type: BooleanConstructor;
        };
        disabled: {
            type: PropType<boolean | boolean[]>;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
        };
        allowClear: {
            type: BooleanConstructor;
        };
        placeholder: {
            type: PropType<string[]>;
            default: () => never[];
        };
        inputValue: {
            type: PropType<string[]>;
        };
        value: {
            type: PropType<(Dayjs | undefined)[]>;
            default: () => never[];
        };
        format: {
            type: PropType<string | ((value: Dayjs) => string)>;
            required: true;
        };
    }>, {
        prefixCls: string;
        classNames: import("vue").ComputedRef<(string | {
            [x: string]: boolean;
        })[]>;
        refInput0: import("vue").Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
        refInput1: import("vue").Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
        disabled0: import("vue").ComputedRef<boolean>;
        disabled1: import("vue").ComputedRef<boolean>;
        mergedDisabled: import("vue").ComputedRef<boolean>;
        getDisabled: (index: number) => boolean;
        getInputWrapClassName: (index: number) => (string | {
            [x: string]: boolean;
        })[];
        displayValue0: import("vue").ComputedRef<string | undefined>;
        displayValue1: import("vue").ComputedRef<string | undefined>;
        changeFocusedInput: (index: number) => void;
        onChange: (e: Event) => void;
        onPressEnter: () => void;
        onPressTab: (e: Event) => void;
        onClear: (e: Event) => void;
        feedback: import("vue").Ref<string | undefined, string | undefined>;
    }, {}, {}, {
        focus(index?: number | undefined): void;
        blur(): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("clear" | "press-enter" | "change" | "focused-index-change" | "update:focusedIndex")[], "clear" | "press-enter" | "change" | "focused-index-change" | "update:focusedIndex", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: PropType<"mini" | "medium" | "large" | "small">;
        };
        focused: {
            type: BooleanConstructor;
        };
        focusedIndex: {
            type: NumberConstructor;
        };
        error: {
            type: BooleanConstructor;
        };
        disabled: {
            type: PropType<boolean | boolean[]>;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
        };
        allowClear: {
            type: BooleanConstructor;
        };
        placeholder: {
            type: PropType<string[]>;
            default: () => never[];
        };
        inputValue: {
            type: PropType<string[]>;
        };
        value: {
            type: PropType<(Dayjs | undefined)[]>;
            default: () => never[];
        };
        format: {
            type: PropType<string | ((value: Dayjs) => string)>;
            required: true;
        };
    }>> & Readonly<{
        onChange?: ((...args: any[]) => any) | undefined;
        onClear?: ((...args: any[]) => any) | undefined;
        "onPress-enter"?: ((...args: any[]) => any) | undefined;
        "onFocused-index-change"?: ((...args: any[]) => any) | undefined;
        "onUpdate:focusedIndex"?: ((...args: any[]) => any) | undefined;
    }>, {
        disabled: boolean | boolean[];
        placeholder: string[];
        error: boolean;
        focused: boolean;
        readonly: boolean;
        allowClear: boolean;
        value: (Dayjs | undefined)[];
    }, {}, {
        IconHover: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            prefix: {
                type: StringConstructor;
            };
            size: {
                type: PropType<"mini" | "medium" | "large" | "small">;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>, {
            prefixCls: string;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            prefix: {
                type: StringConstructor;
            };
            size: {
                type: PropType<"mini" | "medium" | "large" | "small">;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            disabled: boolean;
            size: "mini" | "medium" | "large" | "small";
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        IconClose: any;
        FeedbackIcon: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            type: {
                type: StringConstructor;
            };
        }>, {
            cls: import("vue").ComputedRef<string[]>;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            type: {
                type: StringConstructor;
            };
        }>> & Readonly<{}>, {}, {}, {
            IconLoading: any;
            IconCheckCircleFill: any;
            IconExclamationCircleFill: any;
            IconCloseCircleFill: any;
        }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    Trigger: {
        new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            popupVisible: {
                type: BooleanConstructor;
                default: undefined;
            };
            defaultPopupVisible: {
                type: BooleanConstructor;
                default: boolean;
            };
            trigger: {
                type: PropType<"hover" | "click" | "focus" | "contextMenu" | ("hover" | "click" | "focus" | "contextMenu")[]>;
                default: string;
            };
            position: {
                type: PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb">;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupOffset: {
                type: NumberConstructor;
                default: number;
            };
            popupTranslate: {
                type: PropType<import("../trigger").TriggerPopupTranslate>;
            };
            showArrow: {
                type: BooleanConstructor;
                default: boolean;
            };
            alignPoint: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupHoverStay: {
                type: BooleanConstructor;
                default: boolean;
            };
            blurToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickOutsideToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            unmountOnClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            contentClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            contentStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            arrowClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            arrowStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            popupStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            animationName: {
                type: StringConstructor;
                default: string;
            };
            duration: {
                type: PropType<number | {
                    enter: number;
                    leave: number;
                }>;
            };
            mouseEnterDelay: {
                type: NumberConstructor;
                default: number;
            };
            mouseLeaveDelay: {
                type: NumberConstructor;
                default: number;
            };
            focusDelay: {
                type: NumberConstructor;
                default: number;
            };
            autoFitPopupWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitPopupMinWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFixPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupContainer: {
                type: PropType<string | HTMLElement>;
            };
            updateAtScroll: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitTransformOrigin: {
                type: BooleanConstructor;
                default: boolean;
            };
            hideEmpty: {
                type: BooleanConstructor;
                default: boolean;
            };
            openedClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            autoFitPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            renderToBody: {
                type: BooleanConstructor;
                default: boolean;
            };
            preventFocus: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
            onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
            onShow?: (() => any) | undefined;
            onHide?: (() => any) | undefined;
            onResize?: (() => any) | undefined;
        }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            'update:popupVisible': (visible: boolean) => true;
            popupVisibleChange: (visible: boolean) => true;
            show: () => true;
            hide: () => true;
            resize: () => true;
        }, import("vue").PublicProps, {
            popupVisible: boolean;
            defaultPopupVisible: boolean;
            trigger: "hover" | "click" | "focus" | "contextMenu" | ("hover" | "click" | "focus" | "contextMenu")[];
            position: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb";
            disabled: boolean;
            popupOffset: number;
            showArrow: boolean;
            alignPoint: boolean;
            popupHoverStay: boolean;
            blurToClose: boolean;
            clickToClose: boolean;
            clickOutsideToClose: boolean;
            unmountOnClose: boolean;
            animationName: string;
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            focusDelay: number;
            autoFitPopupWidth: boolean;
            autoFitPopupMinWidth: boolean;
            autoFixPosition: boolean;
            updateAtScroll: boolean;
            autoFitTransformOrigin: boolean;
            hideEmpty: boolean;
            autoFitPosition: boolean;
            renderToBody: boolean;
            preventFocus: boolean;
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            popupVisible: {
                type: BooleanConstructor;
                default: undefined;
            };
            defaultPopupVisible: {
                type: BooleanConstructor;
                default: boolean;
            };
            trigger: {
                type: PropType<"hover" | "click" | "focus" | "contextMenu" | ("hover" | "click" | "focus" | "contextMenu")[]>;
                default: string;
            };
            position: {
                type: PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb">;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupOffset: {
                type: NumberConstructor;
                default: number;
            };
            popupTranslate: {
                type: PropType<import("../trigger").TriggerPopupTranslate>;
            };
            showArrow: {
                type: BooleanConstructor;
                default: boolean;
            };
            alignPoint: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupHoverStay: {
                type: BooleanConstructor;
                default: boolean;
            };
            blurToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            clickOutsideToClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            unmountOnClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            contentClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            contentStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            arrowClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            arrowStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            popupStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            animationName: {
                type: StringConstructor;
                default: string;
            };
            duration: {
                type: PropType<number | {
                    enter: number;
                    leave: number;
                }>;
            };
            mouseEnterDelay: {
                type: NumberConstructor;
                default: number;
            };
            mouseLeaveDelay: {
                type: NumberConstructor;
                default: number;
            };
            focusDelay: {
                type: NumberConstructor;
                default: number;
            };
            autoFitPopupWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitPopupMinWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFixPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            popupContainer: {
                type: PropType<string | HTMLElement>;
            };
            updateAtScroll: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoFitTransformOrigin: {
                type: BooleanConstructor;
                default: boolean;
            };
            hideEmpty: {
                type: BooleanConstructor;
                default: boolean;
            };
            openedClass: {
                type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
            };
            autoFitPosition: {
                type: BooleanConstructor;
                default: boolean;
            };
            renderToBody: {
                type: BooleanConstructor;
                default: boolean;
            };
            preventFocus: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
            onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
            onShow?: (() => any) | undefined;
            onHide?: (() => any) | undefined;
            onResize?: (() => any) | undefined;
        }>, () => any, {}, {}, {}, {
            popupVisible: boolean;
            defaultPopupVisible: boolean;
            trigger: "hover" | "click" | "focus" | "contextMenu" | ("hover" | "click" | "focus" | "contextMenu")[];
            position: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb";
            disabled: boolean;
            popupOffset: number;
            showArrow: boolean;
            alignPoint: boolean;
            popupHoverStay: boolean;
            blurToClose: boolean;
            clickToClose: boolean;
            clickOutsideToClose: boolean;
            unmountOnClose: boolean;
            animationName: string;
            mouseEnterDelay: number;
            mouseLeaveDelay: number;
            focusDelay: number;
            autoFitPopupWidth: boolean;
            autoFitPopupMinWidth: boolean;
            autoFixPosition: boolean;
            updateAtScroll: boolean;
            autoFitTransformOrigin: boolean;
            hideEmpty: boolean;
            autoFitPosition: boolean;
            renderToBody: boolean;
            preventFocus: boolean;
        }>;
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        popupVisible: {
            type: BooleanConstructor;
            default: undefined;
        };
        defaultPopupVisible: {
            type: BooleanConstructor;
            default: boolean;
        };
        trigger: {
            type: PropType<"hover" | "click" | "focus" | "contextMenu" | ("hover" | "click" | "focus" | "contextMenu")[]>;
            default: string;
        };
        position: {
            type: PropType<"top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb">;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        popupOffset: {
            type: NumberConstructor;
            default: number;
        };
        popupTranslate: {
            type: PropType<import("../trigger").TriggerPopupTranslate>;
        };
        showArrow: {
            type: BooleanConstructor;
            default: boolean;
        };
        alignPoint: {
            type: BooleanConstructor;
            default: boolean;
        };
        popupHoverStay: {
            type: BooleanConstructor;
            default: boolean;
        };
        blurToClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        clickToClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        clickOutsideToClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        unmountOnClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        contentClass: {
            type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        };
        contentStyle: {
            type: PropType<import("vue").CSSProperties>;
        };
        arrowClass: {
            type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        };
        arrowStyle: {
            type: PropType<import("vue").CSSProperties>;
        };
        popupStyle: {
            type: PropType<import("vue").CSSProperties>;
        };
        animationName: {
            type: StringConstructor;
            default: string;
        };
        duration: {
            type: PropType<number | {
                enter: number;
                leave: number;
            }>;
        };
        mouseEnterDelay: {
            type: NumberConstructor;
            default: number;
        };
        mouseLeaveDelay: {
            type: NumberConstructor;
            default: number;
        };
        focusDelay: {
            type: NumberConstructor;
            default: number;
        };
        autoFitPopupWidth: {
            type: BooleanConstructor;
            default: boolean;
        };
        autoFitPopupMinWidth: {
            type: BooleanConstructor;
            default: boolean;
        };
        autoFixPosition: {
            type: BooleanConstructor;
            default: boolean;
        };
        popupContainer: {
            type: PropType<string | HTMLElement>;
        };
        updateAtScroll: {
            type: BooleanConstructor;
            default: boolean;
        };
        autoFitTransformOrigin: {
            type: BooleanConstructor;
            default: boolean;
        };
        hideEmpty: {
            type: BooleanConstructor;
            default: boolean;
        };
        openedClass: {
            type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        };
        autoFitPosition: {
            type: BooleanConstructor;
            default: boolean;
        };
        renderToBody: {
            type: BooleanConstructor;
            default: boolean;
        };
        preventFocus: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{
        "onUpdate:popupVisible"?: ((visible: boolean) => any) | undefined;
        onPopupVisibleChange?: ((visible: boolean) => any) | undefined;
        onShow?: (() => any) | undefined;
        onHide?: (() => any) | undefined;
        onResize?: (() => any) | undefined;
    }>, () => any, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        'update:popupVisible': (visible: boolean) => true;
        popupVisibleChange: (visible: boolean) => true;
        show: () => true;
        hide: () => true;
        resize: () => true;
    }, string, {
        popupVisible: boolean;
        defaultPopupVisible: boolean;
        trigger: "hover" | "click" | "focus" | "contextMenu" | ("hover" | "click" | "focus" | "contextMenu")[];
        position: "top" | "tl" | "tr" | "bottom" | "bl" | "br" | "left" | "lt" | "lb" | "right" | "rt" | "rb";
        disabled: boolean;
        popupOffset: number;
        showArrow: boolean;
        alignPoint: boolean;
        popupHoverStay: boolean;
        blurToClose: boolean;
        clickToClose: boolean;
        clickOutsideToClose: boolean;
        unmountOnClose: boolean;
        animationName: string;
        mouseEnterDelay: number;
        mouseLeaveDelay: number;
        focusDelay: number;
        autoFitPopupWidth: boolean;
        autoFitPopupMinWidth: boolean;
        autoFixPosition: boolean;
        updateAtScroll: boolean;
        autoFitTransformOrigin: boolean;
        hideEmpty: boolean;
        autoFitPosition: boolean;
        renderToBody: boolean;
        preventFocus: boolean;
    }, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
        install: (app: import("vue").App<any>, options?: import("../_utils/types").ArcoOptions | undefined) => void;
    };
    IconCalendar: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
