import { defineComponent, createVNode } from "vue";
import { getPrefixCls } from "../_utils/global-config.js";
var _Diff = defineComponent({
  name: "Diff",
  props: {
    direction: {
      type: String,
      default: "row"
    }
  },
  setup(props, {
    slots
  }) {
    const prefixCls = getPrefixCls("diff");
    return () => {
      var _a, _b;
      const children = (_a = slots.default) == null ? void 0 : _a.call(slots);
      const content = (_b = slots.content) == null ? void 0 : _b.call(slots);
      const direction = (props == null ? void 0 : props.direction) || "row";
      return createVNode("div", {
        "class": `${prefixCls} ${direction}`
      }, [content && direction === "column" && createVNode("div", {
        "class": `${prefixCls}-notice`
      }, [createVNode("div", {
        "class": `${prefixCls}-notice-content column`
      }, [content])]), createVNode("div", {
        "class": `${prefixCls}-children ${direction}`
      }, [children]), content && direction === "row" && createVNode("div", {
        "class": `${prefixCls}-notice`
      }, [createVNode("div", {
        "class": `${prefixCls}-notice-content`
      }, [content])])]);
    };
  }
});
export { _Diff as default };
