import { AppContext, CSSProperties } from 'vue';
import { ButtonProps } from '../button/interface';
import { RenderContent } from '../_utils/types';
export interface DrawerConfig {
    placement?: 'top' | 'right' | 'bottom' | 'left';
    title?: RenderContent;
    content: RenderContent;
    mask?: boolean;
    maskClosable?: boolean;
    closable?: boolean;
    okText?: string;
    cancelText?: string;
    okLoading?: boolean;
    okButtonProps?: ButtonProps;
    cancelButtonProps?: ButtonProps;
    width?: number | string;
    height?: number | string;
    popupContainer?: string | HTMLElement;
    drawerStyle?: CSSProperties;
    onOk?: () => void;
    onCancel?: () => void;
    onBeforeOk?: (done: (closed: boolean) => void) => void | boolean | Promise<void | boolean>;
    onBeforeCancel?: () => boolean;
    onOpen?: () => void;
    onClose?: () => void;
    escToClose?: boolean;
    header?: boolean | RenderContent;
    footer?: boolean | RenderContent;
    hideCancel?: boolean;
}
export interface DrawerReturn {
    close: () => void;
}
export interface DrawerMethod {
    open: (config: DrawerConfig, appContext?: AppContext) => DrawerReturn;
}
