import { PropType } from 'vue';
import { FieldRule } from './interface';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    field: {
        type: StringConstructor;
        default: string;
    };
    label: StringConstructor;
    showColon: {
        type: BooleanConstructor;
        default: boolean;
    };
    noStyle: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: undefined;
    };
    help: StringConstructor;
    extra: StringConstructor;
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    rules: {
        type: PropType<FieldRule<any> | FieldRule<any>[]>;
    };
    validateStatus: {
        type: PropType<"error" | "success" | "warning" | "validating">;
    };
    validateTrigger: {
        type: PropType<"focus" | "blur" | "input" | "change" | ("focus" | "blur" | "input" | "change")[]>;
        default: string;
    };
    labelColProps: ObjectConstructor;
    wrapperColProps: ObjectConstructor;
    hideLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideAsterisk: {
        type: BooleanConstructor;
        default: boolean;
    };
    labelColStyle: ObjectConstructor;
    wrapperColStyle: ObjectConstructor;
    rowProps: ObjectConstructor;
    rowClass: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
    contentClass: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
    contentFlex: {
        type: BooleanConstructor;
        default: boolean;
    };
    mergeProps: {
        type: PropType<boolean | ((props: Record<string, any>) => Record<string, any>)>;
        default: boolean;
    };
    labelColFlex: {
        type: (StringConstructor | NumberConstructor)[];
    };
    feedback: {
        type: BooleanConstructor;
        default: boolean;
    };
    labelComponent: {
        type: StringConstructor;
        default: string;
    };
    labelAttrs: ObjectConstructor;
}>, {
    prefixCls: string;
    cls: import("vue").ComputedRef<(string | Record<string, any> | undefined)[]>;
    isRequired: import("vue").ComputedRef<boolean>;
    isError: import("vue").ComputedRef<boolean>;
    finalMessage: import("vue").ComputedRef<string[]>;
    mergedLabelCol: import("vue").ComputedRef<any>;
    mergedWrapperCol: import("vue").ComputedRef<any>;
    labelColCls: import("vue").ComputedRef<(string | {
        [x: string]: string | number | boolean | undefined;
    })[]>;
    autoLabelWidth: import("vue").Ref<boolean | undefined, boolean | undefined> | undefined;
    layout: import("vue").Ref<string | undefined, string | undefined> | undefined;
    mergedLabelStyle: import("vue").ComputedRef<any>;
    wrapperColCls: import("vue").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    mergedWrapperStyle: import("vue").ComputedRef<any>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    field: {
        type: StringConstructor;
        default: string;
    };
    label: StringConstructor;
    showColon: {
        type: BooleanConstructor;
        default: boolean;
    };
    noStyle: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: undefined;
    };
    help: StringConstructor;
    extra: StringConstructor;
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    rules: {
        type: PropType<FieldRule<any> | FieldRule<any>[]>;
    };
    validateStatus: {
        type: PropType<"error" | "success" | "warning" | "validating">;
    };
    validateTrigger: {
        type: PropType<"focus" | "blur" | "input" | "change" | ("focus" | "blur" | "input" | "change")[]>;
        default: string;
    };
    labelColProps: ObjectConstructor;
    wrapperColProps: ObjectConstructor;
    hideLabel: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideAsterisk: {
        type: BooleanConstructor;
        default: boolean;
    };
    labelColStyle: ObjectConstructor;
    wrapperColStyle: ObjectConstructor;
    rowProps: ObjectConstructor;
    rowClass: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
    contentClass: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
    contentFlex: {
        type: BooleanConstructor;
        default: boolean;
    };
    mergeProps: {
        type: PropType<boolean | ((props: Record<string, any>) => Record<string, any>)>;
        default: boolean;
    };
    labelColFlex: {
        type: (StringConstructor | NumberConstructor)[];
    };
    feedback: {
        type: BooleanConstructor;
        default: boolean;
    };
    labelComponent: {
        type: StringConstructor;
        default: string;
    };
    labelAttrs: ObjectConstructor;
}>> & Readonly<{}>, {
    disabled: boolean;
    feedback: boolean;
    required: boolean;
    showColon: boolean;
    field: string;
    noStyle: boolean;
    validateTrigger: "focus" | "blur" | "input" | "change" | ("focus" | "blur" | "input" | "change")[];
    hideLabel: boolean;
    hideAsterisk: boolean;
    contentFlex: boolean;
    mergeProps: boolean | ((props: Record<string, any>) => Record<string, any>);
    labelComponent: string;
}, {}, {
    ArcoRow: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        gutter: {
            type: PropType<number | import("../grid").ResponsiveValue | [number | import("../grid").ResponsiveValue, number | import("../grid").ResponsiveValue]>;
            default: number;
        };
        justify: {
            type: PropType<"space-around" | "space-between" | "center" | "end" | "start">;
            default: string;
        };
        align: {
            type: PropType<"stretch" | "center" | "end" | "start">;
            default: string;
        };
        div: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>, {
        classNames: import("vue").ComputedRef<{
            [x: string]: boolean | "space-around" | "space-between" | "stretch" | "center" | "end" | "start";
        }>;
        styles: import("vue").ComputedRef<{
            marginTop?: string | undefined;
            marginBottom?: string | undefined;
            marginLeft?: string | undefined;
            marginRight?: string | undefined;
        }>;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        gutter: {
            type: PropType<number | import("../grid").ResponsiveValue | [number | import("../grid").ResponsiveValue, number | import("../grid").ResponsiveValue]>;
            default: number;
        };
        justify: {
            type: PropType<"space-around" | "space-between" | "center" | "end" | "start">;
            default: string;
        };
        align: {
            type: PropType<"stretch" | "center" | "end" | "start">;
            default: string;
        };
        div: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{}>, {
        wrap: boolean;
        justify: "space-around" | "space-between" | "center" | "end" | "start";
        div: boolean;
        align: "stretch" | "center" | "end" | "start";
        gutter: number | import("../grid").ResponsiveValue | [number | import("../grid").ResponsiveValue, number | import("../grid").ResponsiveValue];
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    ArcoCol: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        span: {
            type: NumberConstructor;
            default: number;
        };
        offset: {
            type: NumberConstructor;
        };
        order: {
            type: NumberConstructor;
        };
        xs: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        sm: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        md: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        lg: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        xl: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        xxl: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        flex: {
            type: PropType<string | number>;
        };
    }>, {
        visible: import("vue").ComputedRef<boolean>;
        classNames: import("vue").ComputedRef<string | {
            [x: string]: number | boolean | undefined;
        }>;
        styles: import("vue").ComputedRef<{
            flex?: import("../grid/interface").FlexType | undefined;
            paddingLeft?: string | undefined;
            paddingRight?: string | undefined;
            paddingTop?: string | undefined;
            paddingBottom?: string | undefined;
        }>;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        span: {
            type: NumberConstructor;
            default: number;
        };
        offset: {
            type: NumberConstructor;
        };
        order: {
            type: NumberConstructor;
        };
        xs: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        sm: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        md: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        lg: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        xl: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        xxl: {
            type: PropType<number | {
                [key: string]: any;
            }>;
        };
        flex: {
            type: PropType<string | number>;
        };
    }>> & Readonly<{}>, {
        span: number;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    FormItemLabel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        required: {
            type: BooleanConstructor;
            default: boolean;
        };
        showColon: {
            type: BooleanConstructor;
            default: boolean;
        };
        component: {
            type: StringConstructor;
            default: string;
        };
        attrs: ObjectConstructor;
    }>, {
        prefixCls: string;
        labelRef: import("vue").Ref<HTMLElement | undefined, HTMLElement | undefined>;
        handleResize: () => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        required: {
            type: BooleanConstructor;
            default: boolean;
        };
        showColon: {
            type: BooleanConstructor;
            default: boolean;
        };
        component: {
            type: StringConstructor;
            default: string;
        };
        attrs: ObjectConstructor;
    }>> & Readonly<{}>, {
        required: boolean;
        component: string;
        showColon: boolean;
    }, {}, {
        ResizeObserver: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            watchOnUpdated: BooleanConstructor;
        }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[] | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "resize"[], "resize", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            watchOnUpdated: BooleanConstructor;
        }>> & Readonly<{
            onResize?: ((...args: any[]) => any) | undefined;
        }>, {
            watchOnUpdated: boolean;
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    FormItemMessage: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        error: ArrayConstructor;
        help: StringConstructor;
    }>, {
        prefixCls: string;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        error: ArrayConstructor;
        help: StringConstructor;
    }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
