import type { App } from 'vue';
import type { ArcoOptions } from '../_utils/types';
import _Form from './form';
import _FormItem from './form-item';
declare const Form: {
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        model: {
            type: ObjectConstructor;
            required: true;
        };
        layout: {
            type: import("vue").PropType<"inline" | "horizontal" | "vertical">;
            default: string;
        };
        size: {
            type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
        };
        labelColProps: {
            type: ObjectConstructor;
            default: () => {
                span: number;
                offset: number;
            };
        };
        wrapperColProps: {
            type: ObjectConstructor;
            default: () => {
                span: number;
                offset: number;
            };
        };
        labelColStyle: ObjectConstructor;
        wrapperColStyle: ObjectConstructor;
        labelAlign: {
            type: import("vue").PropType<"left" | "right">;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            default: undefined;
        };
        rules: {
            type: import("vue").PropType<Record<string, import("./interface").FieldRule<any> | import("./interface").FieldRule<any>[]>>;
        };
        autoLabelWidth: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{
        onSubmit?: ((data: {
            values: Record<string, any>;
            errors: Record<string, import("./interface").ValidatedError> | undefined;
        }, ev: Event) => any) | undefined;
        onSubmitSuccess?: ((values: Record<string, any>, ev: Event) => any) | undefined;
        onSubmitFailed?: ((data: {
            values: Record<string, any>;
            errors: Record<string, import("./interface").ValidatedError>;
        }, ev: Event) => any) | undefined;
    }>, {
        cls: import("vue").ComputedRef<(string | {
            [x: string]: boolean;
        })[]>;
        handleSubmit: (e: Event) => void;
        innerValidate: (callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined) => Promise<Record<string, import("./interface").ValidatedError> | undefined>;
        innerValidateField: (field: string | string[], callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined) => Promise<Record<string, import("./interface").ValidatedError> | undefined>;
        innerResetFields: (field?: string | string[] | undefined) => void;
        innerClearValidate: (field?: string | string[] | undefined) => void;
        innerSetFields: (data: Record<string, import("./interface").FieldData>) => void;
    }, {}, {}, {
        validate(callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined): Promise<Record<string, import("./interface").ValidatedError> | undefined>;
        validateField(field: string | string[], callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined): Promise<Record<string, import("./interface").ValidatedError> | undefined>;
        resetFields(field?: string | string[] | undefined): void;
        clearValidate(field?: string | string[] | undefined): void;
        setFields(data: Record<string, import("./interface").FieldData>): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        submit: (data: {
            values: Record<string, any>;
            errors: Record<string, import("./interface").ValidatedError> | undefined;
        }, ev: Event) => true;
        submitSuccess: (values: Record<string, any>, ev: Event) => true;
        submitFailed: (data: {
            values: Record<string, any>;
            errors: Record<string, import("./interface").ValidatedError>;
        }, ev: Event) => true;
    }, import("vue").PublicProps, {
        disabled: boolean;
        layout: "inline" | "horizontal" | "vertical";
        labelColProps: Record<string, any>;
        wrapperColProps: Record<string, any>;
        labelAlign: "left" | "right";
        autoLabelWidth: boolean;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        model: {
            type: ObjectConstructor;
            required: true;
        };
        layout: {
            type: import("vue").PropType<"inline" | "horizontal" | "vertical">;
            default: string;
        };
        size: {
            type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
        };
        labelColProps: {
            type: ObjectConstructor;
            default: () => {
                span: number;
                offset: number;
            };
        };
        wrapperColProps: {
            type: ObjectConstructor;
            default: () => {
                span: number;
                offset: number;
            };
        };
        labelColStyle: ObjectConstructor;
        wrapperColStyle: ObjectConstructor;
        labelAlign: {
            type: import("vue").PropType<"left" | "right">;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            default: undefined;
        };
        rules: {
            type: import("vue").PropType<Record<string, import("./interface").FieldRule<any> | import("./interface").FieldRule<any>[]>>;
        };
        autoLabelWidth: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{
        onSubmit?: ((data: {
            values: Record<string, any>;
            errors: Record<string, import("./interface").ValidatedError> | undefined;
        }, ev: Event) => any) | undefined;
        onSubmitSuccess?: ((values: Record<string, any>, ev: Event) => any) | undefined;
        onSubmitFailed?: ((data: {
            values: Record<string, any>;
            errors: Record<string, import("./interface").ValidatedError>;
        }, ev: Event) => any) | undefined;
    }>, {
        cls: import("vue").ComputedRef<(string | {
            [x: string]: boolean;
        })[]>;
        handleSubmit: (e: Event) => void;
        innerValidate: (callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined) => Promise<Record<string, import("./interface").ValidatedError> | undefined>;
        innerValidateField: (field: string | string[], callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined) => Promise<Record<string, import("./interface").ValidatedError> | undefined>;
        innerResetFields: (field?: string | string[] | undefined) => void;
        innerClearValidate: (field?: string | string[] | undefined) => void;
        innerSetFields: (data: Record<string, import("./interface").FieldData>) => void;
    }, {}, {}, {
        validate(callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined): Promise<Record<string, import("./interface").ValidatedError> | undefined>;
        validateField(field: string | string[], callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined): Promise<Record<string, import("./interface").ValidatedError> | undefined>;
        resetFields(field?: string | string[] | undefined): void;
        clearValidate(field?: string | string[] | undefined): void;
        setFields(data: Record<string, import("./interface").FieldData>): void;
    }, {
        disabled: boolean;
        layout: "inline" | "horizontal" | "vertical";
        labelColProps: Record<string, any>;
        wrapperColProps: Record<string, any>;
        labelAlign: "left" | "right";
        autoLabelWidth: boolean;
    }>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    model: {
        type: ObjectConstructor;
        required: true;
    };
    layout: {
        type: import("vue").PropType<"inline" | "horizontal" | "vertical">;
        default: string;
    };
    size: {
        type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
    };
    labelColProps: {
        type: ObjectConstructor;
        default: () => {
            span: number;
            offset: number;
        };
    };
    wrapperColProps: {
        type: ObjectConstructor;
        default: () => {
            span: number;
            offset: number;
        };
    };
    labelColStyle: ObjectConstructor;
    wrapperColStyle: ObjectConstructor;
    labelAlign: {
        type: import("vue").PropType<"left" | "right">;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: undefined;
    };
    rules: {
        type: import("vue").PropType<Record<string, import("./interface").FieldRule<any> | import("./interface").FieldRule<any>[]>>;
    };
    autoLabelWidth: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{
    onSubmit?: ((data: {
        values: Record<string, any>;
        errors: Record<string, import("./interface").ValidatedError> | undefined;
    }, ev: Event) => any) | undefined;
    onSubmitSuccess?: ((values: Record<string, any>, ev: Event) => any) | undefined;
    onSubmitFailed?: ((data: {
        values: Record<string, any>;
        errors: Record<string, import("./interface").ValidatedError>;
    }, ev: Event) => any) | undefined;
}>, {
    cls: import("vue").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    handleSubmit: (e: Event) => void;
    innerValidate: (callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined) => Promise<Record<string, import("./interface").ValidatedError> | undefined>;
    innerValidateField: (field: string | string[], callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined) => Promise<Record<string, import("./interface").ValidatedError> | undefined>;
    innerResetFields: (field?: string | string[] | undefined) => void;
    innerClearValidate: (field?: string | string[] | undefined) => void;
    innerSetFields: (data: Record<string, import("./interface").FieldData>) => void;
}, {}, {}, {
    validate(callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined): Promise<Record<string, import("./interface").ValidatedError> | undefined>;
    validateField(field: string | string[], callback?: ((errors: Record<string, import("./interface").ValidatedError> | undefined) => void) | undefined): Promise<Record<string, import("./interface").ValidatedError> | undefined>;
    resetFields(field?: string | string[] | undefined): void;
    clearValidate(field?: string | string[] | undefined): void;
    setFields(data: Record<string, import("./interface").FieldData>): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    submit: (data: {
        values: Record<string, any>;
        errors: Record<string, import("./interface").ValidatedError> | undefined;
    }, ev: Event) => true;
    submitSuccess: (values: Record<string, any>, ev: Event) => true;
    submitFailed: (data: {
        values: Record<string, any>;
        errors: Record<string, import("./interface").ValidatedError>;
    }, ev: Event) => true;
}, string, {
    disabled: boolean;
    layout: "inline" | "horizontal" | "vertical";
    labelColProps: Record<string, any>;
    wrapperColProps: Record<string, any>;
    labelAlign: "left" | "right";
    autoLabelWidth: boolean;
}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    Item: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        field: {
            type: StringConstructor;
            default: string;
        };
        label: StringConstructor;
        showColon: {
            type: BooleanConstructor;
            default: boolean;
        };
        noStyle: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: undefined;
        };
        help: StringConstructor;
        extra: StringConstructor;
        required: {
            type: BooleanConstructor;
            default: boolean;
        };
        rules: {
            type: import("vue").PropType<import("./interface").FieldRule<any> | import("./interface").FieldRule<any>[]>;
        };
        validateStatus: {
            type: import("vue").PropType<"error" | "success" | "warning" | "validating">;
        };
        validateTrigger: {
            type: import("vue").PropType<"focus" | "blur" | "input" | "change" | ("focus" | "blur" | "input" | "change")[]>;
            default: string;
        };
        labelColProps: ObjectConstructor;
        wrapperColProps: ObjectConstructor;
        hideLabel: {
            type: BooleanConstructor;
            default: boolean;
        };
        hideAsterisk: {
            type: BooleanConstructor;
            default: boolean;
        };
        labelColStyle: ObjectConstructor;
        wrapperColStyle: ObjectConstructor;
        rowProps: ObjectConstructor;
        rowClass: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        contentClass: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        contentFlex: {
            type: BooleanConstructor;
            default: boolean;
        };
        mergeProps: {
            type: import("vue").PropType<boolean | ((props: Record<string, any>) => Record<string, any>)>;
            default: boolean;
        };
        labelColFlex: {
            type: (StringConstructor | NumberConstructor)[];
        };
        feedback: {
            type: BooleanConstructor;
            default: boolean;
        };
        labelComponent: {
            type: StringConstructor;
            default: string;
        };
        labelAttrs: ObjectConstructor;
    }>, {
        prefixCls: string;
        cls: import("vue").ComputedRef<(string | Record<string, any> | undefined)[]>;
        isRequired: import("vue").ComputedRef<boolean>;
        isError: import("vue").ComputedRef<boolean>;
        finalMessage: import("vue").ComputedRef<string[]>;
        mergedLabelCol: import("vue").ComputedRef<any>;
        mergedWrapperCol: import("vue").ComputedRef<any>;
        labelColCls: import("vue").ComputedRef<(string | {
            [x: string]: string | number | boolean | undefined;
        })[]>;
        autoLabelWidth: import("vue").Ref<boolean | undefined, boolean | undefined> | undefined;
        layout: import("vue").Ref<string | undefined, string | undefined> | undefined;
        mergedLabelStyle: import("vue").ComputedRef<any>;
        wrapperColCls: import("vue").ComputedRef<(string | {
            [x: string]: boolean;
        })[]>;
        mergedWrapperStyle: import("vue").ComputedRef<any>;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        field: {
            type: StringConstructor;
            default: string;
        };
        label: StringConstructor;
        showColon: {
            type: BooleanConstructor;
            default: boolean;
        };
        noStyle: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: undefined;
        };
        help: StringConstructor;
        extra: StringConstructor;
        required: {
            type: BooleanConstructor;
            default: boolean;
        };
        rules: {
            type: import("vue").PropType<import("./interface").FieldRule<any> | import("./interface").FieldRule<any>[]>;
        };
        validateStatus: {
            type: import("vue").PropType<"error" | "success" | "warning" | "validating">;
        };
        validateTrigger: {
            type: import("vue").PropType<"focus" | "blur" | "input" | "change" | ("focus" | "blur" | "input" | "change")[]>;
            default: string;
        };
        labelColProps: ObjectConstructor;
        wrapperColProps: ObjectConstructor;
        hideLabel: {
            type: BooleanConstructor;
            default: boolean;
        };
        hideAsterisk: {
            type: BooleanConstructor;
            default: boolean;
        };
        labelColStyle: ObjectConstructor;
        wrapperColStyle: ObjectConstructor;
        rowProps: ObjectConstructor;
        rowClass: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        contentClass: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        contentFlex: {
            type: BooleanConstructor;
            default: boolean;
        };
        mergeProps: {
            type: import("vue").PropType<boolean | ((props: Record<string, any>) => Record<string, any>)>;
            default: boolean;
        };
        labelColFlex: {
            type: (StringConstructor | NumberConstructor)[];
        };
        feedback: {
            type: BooleanConstructor;
            default: boolean;
        };
        labelComponent: {
            type: StringConstructor;
            default: string;
        };
        labelAttrs: ObjectConstructor;
    }>> & Readonly<{}>, {
        disabled: boolean;
        feedback: boolean;
        required: boolean;
        showColon: boolean;
        field: string;
        noStyle: boolean;
        validateTrigger: "focus" | "blur" | "input" | "change" | ("focus" | "blur" | "input" | "change")[];
        hideLabel: boolean;
        hideAsterisk: boolean;
        contentFlex: boolean;
        mergeProps: boolean | ((props: Record<string, any>) => Record<string, any>);
        labelComponent: string;
    }, {}, {
        ArcoRow: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            gutter: {
                type: import("vue").PropType<number | import("..").ResponsiveValue | [number | import("..").ResponsiveValue, number | import("..").ResponsiveValue]>;
                default: number;
            };
            justify: {
                type: import("vue").PropType<"space-around" | "space-between" | "center" | "end" | "start">;
                default: string;
            };
            align: {
                type: import("vue").PropType<"stretch" | "center" | "end" | "start">;
                default: string;
            };
            div: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>, {
            classNames: import("vue").ComputedRef<{
                [x: string]: boolean | "space-around" | "space-between" | "stretch" | "center" | "end" | "start";
            }>;
            styles: import("vue").ComputedRef<{
                marginTop?: string | undefined;
                marginBottom?: string | undefined;
                marginLeft?: string | undefined;
                marginRight?: string | undefined;
            }>;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            gutter: {
                type: import("vue").PropType<number | import("..").ResponsiveValue | [number | import("..").ResponsiveValue, number | import("..").ResponsiveValue]>;
                default: number;
            };
            justify: {
                type: import("vue").PropType<"space-around" | "space-between" | "center" | "end" | "start">;
                default: string;
            };
            align: {
                type: import("vue").PropType<"stretch" | "center" | "end" | "start">;
                default: string;
            };
            div: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            wrap: boolean;
            justify: "space-around" | "space-between" | "center" | "end" | "start";
            div: boolean;
            align: "stretch" | "center" | "end" | "start";
            gutter: number | import("..").ResponsiveValue | [number | import("..").ResponsiveValue, number | import("..").ResponsiveValue];
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        ArcoCol: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            span: {
                type: NumberConstructor;
                default: number;
            };
            offset: {
                type: NumberConstructor;
            };
            order: {
                type: NumberConstructor;
            };
            xs: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            sm: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            md: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            lg: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            xl: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            xxl: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            flex: {
                type: import("vue").PropType<string | number>;
            };
        }>, {
            visible: import("vue").ComputedRef<boolean>;
            classNames: import("vue").ComputedRef<string | {
                [x: string]: number | boolean | undefined;
            }>;
            styles: import("vue").ComputedRef<{
                flex?: import("../grid/interface").FlexType | undefined;
                paddingLeft?: string | undefined;
                paddingRight?: string | undefined;
                paddingTop?: string | undefined;
                paddingBottom?: string | undefined;
            }>;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            span: {
                type: NumberConstructor;
                default: number;
            };
            offset: {
                type: NumberConstructor;
            };
            order: {
                type: NumberConstructor;
            };
            xs: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            sm: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            md: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            lg: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            xl: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            xxl: {
                type: import("vue").PropType<number | {
                    [key: string]: any;
                }>;
            };
            flex: {
                type: import("vue").PropType<string | number>;
            };
        }>> & Readonly<{}>, {
            span: number;
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        FormItemLabel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            required: {
                type: BooleanConstructor;
                default: boolean;
            };
            showColon: {
                type: BooleanConstructor;
                default: boolean;
            };
            component: {
                type: StringConstructor;
                default: string;
            };
            attrs: ObjectConstructor;
        }>, {
            prefixCls: string;
            labelRef: import("vue").Ref<HTMLElement | undefined, HTMLElement | undefined>;
            handleResize: () => void;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            required: {
                type: BooleanConstructor;
                default: boolean;
            };
            showColon: {
                type: BooleanConstructor;
                default: boolean;
            };
            component: {
                type: StringConstructor;
                default: string;
            };
            attrs: ObjectConstructor;
        }>> & Readonly<{}>, {
            required: boolean;
            component: string;
            showColon: boolean;
        }, {}, {
            ResizeObserver: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                watchOnUpdated: BooleanConstructor;
            }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[] | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "resize"[], "resize", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                watchOnUpdated: BooleanConstructor;
            }>> & Readonly<{
                onResize?: ((...args: any[]) => any) | undefined;
            }>, {
                watchOnUpdated: boolean;
            }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        FormItemMessage: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            error: ArrayConstructor;
            help: StringConstructor;
        }>, {
            prefixCls: string;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            error: ArrayConstructor;
            help: StringConstructor;
        }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    install: (app: App, options?: ArcoOptions | undefined) => void;
};
export declare type FormInstance = InstanceType<typeof _Form>;
export declare type FormItemInstance = InstanceType<typeof _FormItem>;
export type { ValidateStatus, ValidateTrigger, ValidatedError, FieldRule, FormItemEventHandler, } from './interface';
export { _FormItem as FormItem };
export default Form;
