import type { App } from 'vue';
import type { ArcoOptions } from '../_utils/types';
import _Input from './input';
import _InputSearch from './input-search';
import _InputPassword from './input-password';
import _InputGroup from './input-group';
declare const Input: {
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        modelValue: StringConstructor;
        defaultValue: {
            type: StringConstructor;
            default: string;
        };
        size: {
            type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
        };
        allowClear: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        disableEmoji: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
        error: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: StringConstructor;
        maxLength: {
            type: import("vue").PropType<number | {
                length: number;
                errorOnly?: boolean | undefined;
            }>;
            default: number;
        };
        showWordLimit: {
            type: BooleanConstructor;
            default: boolean;
        };
        wordLength: {
            type: import("vue").PropType<(value: string) => number>;
        };
        wordSlice: {
            type: import("vue").PropType<(value: string, maxLength: number) => string>;
        };
        inputAttrs: {
            type: ObjectConstructor;
        };
        type: {
            type: import("vue").PropType<"text" | "password">;
            default: string;
        };
    }>> & Readonly<{
        onFocus?: ((ev: FocusEvent) => any) | undefined;
        onClear?: ((ev: MouseEvent) => any) | undefined;
        onBlur?: ((ev: FocusEvent) => any) | undefined;
        onInput?: ((value: string, ev: Event) => any) | undefined;
        "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        onChange?: ((value: string, ev: Event) => any) | undefined;
        onPressEnter?: ((ev: KeyboardEvent) => any) | undefined;
    }>, {
        inputRef: import("vue").Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
        render: () => any;
    }, {}, {}, {
        focus(): void;
        blur(): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        'update:modelValue': (value: string) => true;
        input: (value: string, ev: Event) => true;
        change: (value: string, ev: Event) => true;
        pressEnter: (ev: KeyboardEvent) => true;
        clear: (ev: MouseEvent) => true;
        focus: (ev: FocusEvent) => true;
        blur: (ev: FocusEvent) => true;
    }, import("vue").PublicProps, {
        disabled: boolean;
        type: "text" | "password";
        error: boolean;
        defaultValue: string;
        readonly: boolean;
        allowClear: boolean;
        disableEmoji: boolean;
        maxLength: number | {
            length: number;
            errorOnly?: boolean | undefined;
        };
        showWordLimit: boolean;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        modelValue: StringConstructor;
        defaultValue: {
            type: StringConstructor;
            default: string;
        };
        size: {
            type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
        };
        allowClear: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        disableEmoji: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
        error: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: StringConstructor;
        maxLength: {
            type: import("vue").PropType<number | {
                length: number;
                errorOnly?: boolean | undefined;
            }>;
            default: number;
        };
        showWordLimit: {
            type: BooleanConstructor;
            default: boolean;
        };
        wordLength: {
            type: import("vue").PropType<(value: string) => number>;
        };
        wordSlice: {
            type: import("vue").PropType<(value: string, maxLength: number) => string>;
        };
        inputAttrs: {
            type: ObjectConstructor;
        };
        type: {
            type: import("vue").PropType<"text" | "password">;
            default: string;
        };
    }>> & Readonly<{
        onFocus?: ((ev: FocusEvent) => any) | undefined;
        onClear?: ((ev: MouseEvent) => any) | undefined;
        onBlur?: ((ev: FocusEvent) => any) | undefined;
        onInput?: ((value: string, ev: Event) => any) | undefined;
        "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        onChange?: ((value: string, ev: Event) => any) | undefined;
        onPressEnter?: ((ev: KeyboardEvent) => any) | undefined;
    }>, {
        inputRef: import("vue").Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
        render: () => any;
    }, {}, {}, {
        focus(): void;
        blur(): void;
    }, {
        disabled: boolean;
        type: "text" | "password";
        error: boolean;
        defaultValue: string;
        readonly: boolean;
        allowClear: boolean;
        disableEmoji: boolean;
        maxLength: number | {
            length: number;
            errorOnly?: boolean | undefined;
        };
        showWordLimit: boolean;
    }>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    modelValue: StringConstructor;
    defaultValue: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
    };
    allowClear: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    disableEmoji: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    error: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: StringConstructor;
    maxLength: {
        type: import("vue").PropType<number | {
            length: number;
            errorOnly?: boolean | undefined;
        }>;
        default: number;
    };
    showWordLimit: {
        type: BooleanConstructor;
        default: boolean;
    };
    wordLength: {
        type: import("vue").PropType<(value: string) => number>;
    };
    wordSlice: {
        type: import("vue").PropType<(value: string, maxLength: number) => string>;
    };
    inputAttrs: {
        type: ObjectConstructor;
    };
    type: {
        type: import("vue").PropType<"text" | "password">;
        default: string;
    };
}>> & Readonly<{
    onFocus?: ((ev: FocusEvent) => any) | undefined;
    onClear?: ((ev: MouseEvent) => any) | undefined;
    onBlur?: ((ev: FocusEvent) => any) | undefined;
    onInput?: ((value: string, ev: Event) => any) | undefined;
    "onUpdate:modelValue"?: ((value: string) => any) | undefined;
    onChange?: ((value: string, ev: Event) => any) | undefined;
    onPressEnter?: ((ev: KeyboardEvent) => any) | undefined;
}>, {
    inputRef: import("vue").Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
    render: () => any;
}, {}, {}, {
    focus(): void;
    blur(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (value: string) => true;
    input: (value: string, ev: Event) => true;
    change: (value: string, ev: Event) => true;
    pressEnter: (ev: KeyboardEvent) => true;
    clear: (ev: MouseEvent) => true;
    focus: (ev: FocusEvent) => true;
    blur: (ev: FocusEvent) => true;
}, string, {
    disabled: boolean;
    type: "text" | "password";
    error: boolean;
    defaultValue: string;
    readonly: boolean;
    allowClear: boolean;
    disableEmoji: boolean;
    maxLength: number | {
        length: number;
        errorOnly?: boolean | undefined;
    };
    showWordLimit: boolean;
}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    Search: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        searchButton: {
            type: BooleanConstructor;
            default: boolean;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
        };
        buttonText: {
            type: StringConstructor;
        };
        buttonProps: {
            type: ObjectConstructor;
        };
    }>, {
        inputRef: import("vue").Ref<any, any>;
        render: () => any;
    }, {}, {}, {
        focus(): void;
        blur(): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        search: (value: string, ev: MouseEvent) => true;
    }, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        searchButton: {
            type: BooleanConstructor;
            default: boolean;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
        };
        buttonText: {
            type: StringConstructor;
        };
        buttonProps: {
            type: ObjectConstructor;
        };
    }>> & Readonly<{
        onSearch?: ((value: string, ev: MouseEvent) => any) | undefined;
    }>, {
        disabled: boolean;
        loading: boolean;
        searchButton: boolean;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    Password: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        invisibleButton: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>, {
        inputRef: import("vue").Ref<any, any>;
        invisible: import("vue").Ref<boolean, boolean>;
        handleInvisible: () => void;
    }, {}, {}, {
        focus(): void;
        blur(): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        invisibleButton: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{}>, {
        invisibleButton: boolean;
    }, {}, {
        IconEye: any;
        IconEyeInvisible: any;
        MIconHover: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            prefix: {
                type: StringConstructor;
            };
            size: {
                type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>, {
            prefixCls: string;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            prefix: {
                type: StringConstructor;
            };
            size: {
                type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            disabled: boolean;
            size: "mini" | "medium" | "large" | "small";
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        MInput: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            modelValue: StringConstructor;
            defaultValue: {
                type: StringConstructor;
                default: string;
            };
            size: {
                type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
            };
            allowClear: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            disableEmoji: {
                type: BooleanConstructor;
                default: boolean;
            };
            readonly: {
                type: BooleanConstructor;
                default: boolean;
            };
            error: {
                type: BooleanConstructor;
                default: boolean;
            };
            placeholder: StringConstructor;
            maxLength: {
                type: import("vue").PropType<number | {
                    length: number;
                    errorOnly?: boolean | undefined;
                }>;
                default: number;
            };
            showWordLimit: {
                type: BooleanConstructor;
                default: boolean;
            };
            wordLength: {
                type: import("vue").PropType<(value: string) => number>;
            };
            wordSlice: {
                type: import("vue").PropType<(value: string, maxLength: number) => string>;
            };
            inputAttrs: {
                type: ObjectConstructor;
            };
            type: {
                type: import("vue").PropType<"text" | "password">;
                default: string;
            };
        }>, {
            inputRef: import("vue").Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
            render: () => any;
        }, {}, {}, {
            focus(): void;
            blur(): void;
        }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            'update:modelValue': (value: string) => true;
            input: (value: string, ev: Event) => true;
            change: (value: string, ev: Event) => true;
            pressEnter: (ev: KeyboardEvent) => true;
            clear: (ev: MouseEvent) => true;
            focus: (ev: FocusEvent) => true;
            blur: (ev: FocusEvent) => true;
        }, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            modelValue: StringConstructor;
            defaultValue: {
                type: StringConstructor;
                default: string;
            };
            size: {
                type: import("vue").PropType<"mini" | "medium" | "large" | "small">;
            };
            allowClear: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            disableEmoji: {
                type: BooleanConstructor;
                default: boolean;
            };
            readonly: {
                type: BooleanConstructor;
                default: boolean;
            };
            error: {
                type: BooleanConstructor;
                default: boolean;
            };
            placeholder: StringConstructor;
            maxLength: {
                type: import("vue").PropType<number | {
                    length: number;
                    errorOnly?: boolean | undefined;
                }>;
                default: number;
            };
            showWordLimit: {
                type: BooleanConstructor;
                default: boolean;
            };
            wordLength: {
                type: import("vue").PropType<(value: string) => number>;
            };
            wordSlice: {
                type: import("vue").PropType<(value: string, maxLength: number) => string>;
            };
            inputAttrs: {
                type: ObjectConstructor;
            };
            type: {
                type: import("vue").PropType<"text" | "password">;
                default: string;
            };
        }>> & Readonly<{
            onFocus?: ((ev: FocusEvent) => any) | undefined;
            onClear?: ((ev: MouseEvent) => any) | undefined;
            onBlur?: ((ev: FocusEvent) => any) | undefined;
            onInput?: ((value: string, ev: Event) => any) | undefined;
            "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            onChange?: ((value: string, ev: Event) => any) | undefined;
            onPressEnter?: ((ev: KeyboardEvent) => any) | undefined;
        }>, {
            disabled: boolean;
            type: "text" | "password";
            error: boolean;
            defaultValue: string;
            readonly: boolean;
            allowClear: boolean;
            disableEmoji: boolean;
            maxLength: number | {
                length: number;
                errorOnly?: boolean | undefined;
            };
            showWordLimit: boolean;
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    }, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    Group: import("vue").DefineComponent<{}, {
        prefixCls: string;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    install: (app: App, options?: ArcoOptions | undefined) => void;
};
export declare type InputInstance = InstanceType<typeof _Input>;
export declare type InputSearchInstance = InstanceType<typeof _InputSearch>;
export declare type InputPasswordInstance = InstanceType<typeof _InputPassword>;
export declare type InputGroupInstance = InstanceType<typeof _InputGroup>;
export { _InputSearch as InputSearch, _InputPassword as InputPassword, _InputGroup as InputGroup, };
export default Input;
