import { AppContext, CSSProperties } from 'vue';
import { RenderContent } from '../_utils/types';
export interface ModalConfig {
    title?: RenderContent;
    content: RenderContent;
    footer?: boolean | RenderContent;
    closable?: boolean;
    okText?: string;
    cancelText?: string;
    okButtonProps?: any;
    cancelButtonProps?: any;
    okLoading?: boolean;
    hideCancel?: boolean;
    mask?: boolean;
    simple?: boolean;
    maskClosable?: boolean;
    maskStyle?: CSSProperties;
    alignCenter?: boolean;
    escToClose?: boolean;
    draggable?: boolean;
    fullscreen?: boolean;
    onOk?: () => void;
    onCancel?: () => void;
    onBeforeOk?: (done: (closed: boolean) => void) => void | boolean | Promise<void | boolean>;
    onBeforeCancel?: () => boolean;
    onOpen?: () => void;
    onClose?: () => void;
    onBeforeOpen?: () => void;
    onBeforeClose?: () => void;
    width?: number | string;
    top?: number | string;
    titleAlign?: 'start' | 'center';
    renderToBody?: boolean;
    popupContainer?: string | HTMLElement;
    modalClass?: string | any[];
    modalStyle?: CSSProperties;
    maskAnimationName?: string;
    modalAnimationName?: string;
}
export interface ModalReturn {
    close: () => void;
}
export interface ModalMethod {
    open: (config: ModalConfig, appContext?: AppContext) => ModalReturn;
    confirm: (config: ModalConfig, appContext?: AppContext) => ModalReturn;
    info: (config: ModalConfig, appContext?: AppContext) => ModalReturn;
    success: (config: ModalConfig, appContext?: AppContext) => ModalReturn;
    warning: (config: ModalConfig, appContext?: AppContext) => ModalReturn;
    error: (config: ModalConfig, appContext?: AppContext) => ModalReturn;
}
