"use strict";
var vue = require("vue");
require("./Hue.vue_vue_type_style_index_0_lang.js");
var pluginVue_exportHelper = require("../../_virtual/plugin-vue_export-helper.js");
const _sfc_main = vue.defineComponent({
  props: {
    hsv: {
      type: Object,
      default: null
    },
    width: {
      type: Number,
      default: 15
    },
    height: {
      type: Number,
      default: 152
    }
  },
  emits: ["selectHue"],
  data() {
    return {
      slideHueStyle: {}
    };
  },
  mounted() {
    this.renderColor();
    this.renderSlide();
  },
  methods: {
    renderColor() {
      const canvas = this.$refs.canvasHue;
      const { width } = this;
      const { height } = this;
      const ctx = canvas.getContext("2d");
      canvas.width = width;
      canvas.height = height;
      const gradient = ctx.createLinearGradient(0, 0, 0, height);
      gradient.addColorStop(0, "#FF0000");
      gradient.addColorStop(0.17 * 1, "#FF00FF");
      gradient.addColorStop(0.17 * 2, "#0000FF");
      gradient.addColorStop(0.17 * 3, "#00FFFF");
      gradient.addColorStop(0.17 * 4, "#00FF00");
      gradient.addColorStop(0.17 * 5, "#FFFF00");
      gradient.addColorStop(1, "#FF0000");
      ctx.fillStyle = gradient;
      ctx.fillRect(0, 0, width, height);
    },
    renderSlide() {
      this.slideHueStyle = {
        top: `${(1 - this.hsv.h / 360) * this.height - 2}px`
      };
    },
    selectHue(e) {
      const { top: hueTop } = this.$el.getBoundingClientRect();
      const ctx = e.target.getContext("2d");
      const mousemove = (e2) => {
        let y = e2.clientY - hueTop;
        if (y < 0) {
          y = 0;
        }
        if (y > this.height) {
          y = this.height;
        }
        this.slideHueStyle = {
          top: `${y - 2}px`
        };
        const imgData = ctx.getImageData(0, Math.min(y, this.height - 1), 1, 1);
        const [r, g, b] = imgData.data;
        this.$emit("selectHue", { r, g, b });
      };
      mousemove(e);
      const mouseup = () => {
        document.removeEventListener("mousemove", mousemove);
        document.removeEventListener("mouseup", mouseup);
      };
      document.addEventListener("mousemove", mousemove);
      document.addEventListener("mouseup", mouseup);
    }
  }
});
const _hoisted_1 = { ref: "canvasHue" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", {
    class: "hue",
    onMousedown: _cache[0] || (_cache[0] = vue.withModifiers((...args) => _ctx.selectHue && _ctx.selectHue(...args), ["prevent", "stop"]))
  }, [
    vue.createElementVNode("canvas", _hoisted_1, null, 512),
    vue.createElementVNode("div", {
      style: vue.normalizeStyle(_ctx.slideHueStyle),
      class: "slide"
    }, null, 4)
  ], 32);
}
var Hue = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = Hue;
