"use strict";
var vue = require("vue");
var globalConfig = require("../_utils/global-config.js");
var _Diff = vue.defineComponent({
  name: "Diff",
  props: {
    direction: {
      type: String,
      default: "row"
    }
  },
  setup(props, {
    slots
  }) {
    const prefixCls = globalConfig.getPrefixCls("diff");
    return () => {
      var _a, _b;
      const children = (_a = slots.default) == null ? void 0 : _a.call(slots);
      const content = (_b = slots.content) == null ? void 0 : _b.call(slots);
      const direction = (props == null ? void 0 : props.direction) || "row";
      return vue.createVNode("div", {
        "class": `${prefixCls} ${direction}`
      }, [content && direction === "column" && vue.createVNode("div", {
        "class": `${prefixCls}-notice`
      }, [vue.createVNode("div", {
        "class": `${prefixCls}-notice-content column`
      }, [content])]), vue.createVNode("div", {
        "class": `${prefixCls}-children ${direction}`
      }, [children]), content && direction === "row" && vue.createVNode("div", {
        "class": `${prefixCls}-notice`
      }, [vue.createVNode("div", {
        "class": `${prefixCls}-notice-content`
      }, [content])])]);
    };
  }
});
module.exports = _Diff;
